import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { BatchInputCallbackCompletionBatchRequest } from '../models/BatchInputCallbackCompletionBatchRequest';
import { CallbackCompletionRequest } from '../models/CallbackCompletionRequest';
import { CollectionResponsePublicActionDefinitionForwardPaging } from '../models/CollectionResponsePublicActionDefinitionForwardPaging';
import { CollectionResponsePublicActionFunctionIdentifierNoPaging } from '../models/CollectionResponsePublicActionFunctionIdentifierNoPaging';
import { CollectionResponsePublicActionRevisionForwardPaging } from '../models/CollectionResponsePublicActionRevisionForwardPaging';
import { PublicActionDefinition } from '../models/PublicActionDefinition';
import { PublicActionDefinitionEgg } from '../models/PublicActionDefinitionEgg';
import { PublicActionDefinitionPatch } from '../models/PublicActionDefinitionPatch';
import { PublicActionFunction } from '../models/PublicActionFunction';
import { PublicActionFunctionIdentifier } from '../models/PublicActionFunctionIdentifier';
import { PublicActionRevision } from '../models/PublicActionRevision';
import { CallbacksApiRequestFactory, CallbacksApiResponseProcessor } from "../apis/CallbacksApi";
export declare class PromiseCallbacksApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: CallbacksApiRequestFactory, responseProcessor?: CallbacksApiResponseProcessor);
    completeWithHttpInfo(callbackId: string, callbackCompletionRequest: CallbackCompletionRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    complete(callbackId: string, callbackCompletionRequest: CallbackCompletionRequest, _options?: PromiseConfigurationOptions): Promise<void>;
    completeBatchWithHttpInfo(batchInputCallbackCompletionBatchRequest: BatchInputCallbackCompletionBatchRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    completeBatch(batchInputCallbackCompletionBatchRequest: BatchInputCallbackCompletionBatchRequest, _options?: PromiseConfigurationOptions): Promise<void>;
}
import { DefinitionsApiRequestFactory, DefinitionsApiResponseProcessor } from "../apis/DefinitionsApi";
export declare class PromiseDefinitionsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: DefinitionsApiRequestFactory, responseProcessor?: DefinitionsApiResponseProcessor);
    archiveWithHttpInfo(definitionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(definitionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<void>;
    createWithHttpInfo(appId: number, publicActionDefinitionEgg: PublicActionDefinitionEgg, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionDefinition>>;
    create(appId: number, publicActionDefinitionEgg: PublicActionDefinitionEgg, _options?: PromiseConfigurationOptions): Promise<PublicActionDefinition>;
    getByIdWithHttpInfo(definitionId: string, appId: number, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionDefinition>>;
    getById(definitionId: string, appId: number, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<PublicActionDefinition>;
    getPageWithHttpInfo(appId: number, limit?: number, after?: string, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicActionDefinitionForwardPaging>>;
    getPage(appId: number, limit?: number, after?: string, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<CollectionResponsePublicActionDefinitionForwardPaging>;
    updateWithHttpInfo(definitionId: string, appId: number, publicActionDefinitionPatch: PublicActionDefinitionPatch, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionDefinition>>;
    update(definitionId: string, appId: number, publicActionDefinitionPatch: PublicActionDefinitionPatch, _options?: PromiseConfigurationOptions): Promise<PublicActionDefinition>;
}
import { FunctionsApiRequestFactory, FunctionsApiResponseProcessor } from "../apis/FunctionsApi";
export declare class PromiseFunctionsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: FunctionsApiRequestFactory, responseProcessor?: FunctionsApiResponseProcessor);
    archiveWithHttpInfo(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', functionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', functionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<void>;
    archiveByFunctionTypeWithHttpInfo(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archiveByFunctionType(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', appId: number, _options?: PromiseConfigurationOptions): Promise<void>;
    createOrReplaceWithHttpInfo(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', functionId: string, appId: number, body: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionFunctionIdentifier>>;
    createOrReplace(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', functionId: string, appId: number, body: string, _options?: PromiseConfigurationOptions): Promise<PublicActionFunctionIdentifier>;
    createOrReplaceByFunctionTypeWithHttpInfo(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', appId: number, body: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionFunctionIdentifier>>;
    createOrReplaceByFunctionType(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', appId: number, body: string, _options?: PromiseConfigurationOptions): Promise<PublicActionFunctionIdentifier>;
    getByFunctionTypeWithHttpInfo(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionFunction>>;
    getByFunctionType(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', appId: number, _options?: PromiseConfigurationOptions): Promise<PublicActionFunction>;
    getByIdWithHttpInfo(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', functionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionFunction>>;
    getById(definitionId: string, functionType: 'PRE_ACTION_EXECUTION' | 'PRE_FETCH_OPTIONS' | 'POST_FETCH_OPTIONS' | 'POST_ACTION_EXECUTION', functionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<PublicActionFunction>;
    getPageWithHttpInfo(definitionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicActionFunctionIdentifierNoPaging>>;
    getPage(definitionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<CollectionResponsePublicActionFunctionIdentifierNoPaging>;
}
import { RevisionsApiRequestFactory, RevisionsApiResponseProcessor } from "../apis/RevisionsApi";
export declare class PromiseRevisionsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: RevisionsApiRequestFactory, responseProcessor?: RevisionsApiResponseProcessor);
    getByIdWithHttpInfo(definitionId: string, revisionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicActionRevision>>;
    getById(definitionId: string, revisionId: string, appId: number, _options?: PromiseConfigurationOptions): Promise<PublicActionRevision>;
    getPageWithHttpInfo(definitionId: string, appId: number, limit?: number, after?: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicActionRevisionForwardPaging>>;
    getPage(definitionId: string, appId: number, limit?: number, after?: string, _options?: PromiseConfigurationOptions): Promise<CollectionResponsePublicActionRevisionForwardPaging>;
}
