import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { AttachToLangPrimaryRequestVNext } from '../models/AttachToLangPrimaryRequestVNext';
import { BatchInputBlogAuthor } from '../models/BatchInputBlogAuthor';
import { BatchInputJsonNode } from '../models/BatchInputJsonNode';
import { BatchInputString } from '../models/BatchInputString';
import { BatchResponseBlogAuthor } from '../models/BatchResponseBlogAuthor';
import { BatchResponseBlogAuthorWithErrors } from '../models/BatchResponseBlogAuthorWithErrors';
import { BlogAuthor } from '../models/BlogAuthor';
import { BlogAuthorCloneRequestVNext } from '../models/BlogAuthorCloneRequestVNext';
import { CollectionResponseWithTotalBlogAuthorForwardPaging } from '../models/CollectionResponseWithTotalBlogAuthorForwardPaging';
import { DetachFromLangGroupRequestVNext } from '../models/DetachFromLangGroupRequestVNext';
import { SetNewLanguagePrimaryRequestVNext } from '../models/SetNewLanguagePrimaryRequestVNext';
import { UpdateLanguagesRequestVNext } from '../models/UpdateLanguagesRequestVNext';
import { BlogAuthorsApiRequestFactory, BlogAuthorsApiResponseProcessor } from "../apis/BlogAuthorsApi";
export interface BlogAuthorsApiArchiveRequest {
    objectId: string;
    archived?: boolean;
}
export interface BlogAuthorsApiArchiveBatchRequest {
    batchInputString: BatchInputString;
}
export interface BlogAuthorsApiAttachToLangGroupRequest {
    attachToLangPrimaryRequestVNext: AttachToLangPrimaryRequestVNext;
}
export interface BlogAuthorsApiCreateRequest {
    blogAuthor: BlogAuthor;
}
export interface BlogAuthorsApiCreateBatchRequest {
    batchInputBlogAuthor: BatchInputBlogAuthor;
}
export interface BlogAuthorsApiCreateLangVariationRequest {
    blogAuthorCloneRequestVNext: BlogAuthorCloneRequestVNext;
}
export interface BlogAuthorsApiDetachFromLangGroupRequest {
    detachFromLangGroupRequestVNext: DetachFromLangGroupRequestVNext;
}
export interface BlogAuthorsApiGetByIdRequest {
    objectId: string;
    archived?: boolean;
    property?: string;
}
export interface BlogAuthorsApiGetPageRequest {
    createdAt?: Date;
    createdAfter?: Date;
    createdBefore?: Date;
    updatedAt?: Date;
    updatedAfter?: Date;
    updatedBefore?: Date;
    sort?: Array<string>;
    after?: string;
    limit?: number;
    archived?: boolean;
    property?: string;
}
export interface BlogAuthorsApiReadBatchRequest {
    batchInputString: BatchInputString;
    archived?: boolean;
}
export interface BlogAuthorsApiSetLangPrimaryRequest {
    setNewLanguagePrimaryRequestVNext: SetNewLanguagePrimaryRequestVNext;
}
export interface BlogAuthorsApiUpdateRequest {
    objectId: string;
    blogAuthor: BlogAuthor;
    archived?: boolean;
}
export interface BlogAuthorsApiUpdateBatchRequest {
    batchInputJsonNode: BatchInputJsonNode;
    archived?: boolean;
}
export interface BlogAuthorsApiUpdateLangsRequest {
    updateLanguagesRequestVNext: UpdateLanguagesRequestVNext;
}
export declare class ObjectBlogAuthorsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: BlogAuthorsApiRequestFactory, responseProcessor?: BlogAuthorsApiResponseProcessor);
    archiveWithHttpInfo(param: BlogAuthorsApiArchiveRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archive(param: BlogAuthorsApiArchiveRequest, options?: ConfigurationOptions): Promise<void>;
    archiveBatchWithHttpInfo(param: BlogAuthorsApiArchiveBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archiveBatch(param: BlogAuthorsApiArchiveBatchRequest, options?: ConfigurationOptions): Promise<void>;
    attachToLangGroupWithHttpInfo(param: BlogAuthorsApiAttachToLangGroupRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    attachToLangGroup(param: BlogAuthorsApiAttachToLangGroupRequest, options?: ConfigurationOptions): Promise<void>;
    createWithHttpInfo(param: BlogAuthorsApiCreateRequest, options?: ConfigurationOptions): Promise<HttpInfo<BlogAuthor>>;
    create(param: BlogAuthorsApiCreateRequest, options?: ConfigurationOptions): Promise<BlogAuthor>;
    createBatchWithHttpInfo(param: BlogAuthorsApiCreateBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseBlogAuthor | BatchResponseBlogAuthorWithErrors>>;
    createBatch(param: BlogAuthorsApiCreateBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseBlogAuthor | BatchResponseBlogAuthorWithErrors>;
    createLangVariationWithHttpInfo(param: BlogAuthorsApiCreateLangVariationRequest, options?: ConfigurationOptions): Promise<HttpInfo<BlogAuthor>>;
    createLangVariation(param: BlogAuthorsApiCreateLangVariationRequest, options?: ConfigurationOptions): Promise<BlogAuthor>;
    detachFromLangGroupWithHttpInfo(param: BlogAuthorsApiDetachFromLangGroupRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    detachFromLangGroup(param: BlogAuthorsApiDetachFromLangGroupRequest, options?: ConfigurationOptions): Promise<void>;
    getByIdWithHttpInfo(param: BlogAuthorsApiGetByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<BlogAuthor>>;
    getById(param: BlogAuthorsApiGetByIdRequest, options?: ConfigurationOptions): Promise<BlogAuthor>;
    getPageWithHttpInfo(param?: BlogAuthorsApiGetPageRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponseWithTotalBlogAuthorForwardPaging>>;
    getPage(param?: BlogAuthorsApiGetPageRequest, options?: ConfigurationOptions): Promise<CollectionResponseWithTotalBlogAuthorForwardPaging>;
    readBatchWithHttpInfo(param: BlogAuthorsApiReadBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseBlogAuthor | BatchResponseBlogAuthorWithErrors>>;
    readBatch(param: BlogAuthorsApiReadBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseBlogAuthor | BatchResponseBlogAuthorWithErrors>;
    setLangPrimaryWithHttpInfo(param: BlogAuthorsApiSetLangPrimaryRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    setLangPrimary(param: BlogAuthorsApiSetLangPrimaryRequest, options?: ConfigurationOptions): Promise<void>;
    updateWithHttpInfo(param: BlogAuthorsApiUpdateRequest, options?: ConfigurationOptions): Promise<HttpInfo<BlogAuthor>>;
    update(param: BlogAuthorsApiUpdateRequest, options?: ConfigurationOptions): Promise<BlogAuthor>;
    updateBatchWithHttpInfo(param: BlogAuthorsApiUpdateBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseBlogAuthor | BatchResponseBlogAuthorWithErrors>>;
    updateBatch(param: BlogAuthorsApiUpdateBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseBlogAuthor | BatchResponseBlogAuthorWithErrors>;
    updateLangsWithHttpInfo(param: BlogAuthorsApiUpdateLangsRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    updateLangs(param: BlogAuthorsApiUpdateLangsRequest, options?: ConfigurationOptions): Promise<void>;
}
