import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { AttachToLangPrimaryRequestVNext } from '../models/AttachToLangPrimaryRequestVNext';
import { BatchInputJsonNode } from '../models/BatchInputJsonNode';
import { BatchInputString } from '../models/BatchInputString';
import { BatchInputTag } from '../models/BatchInputTag';
import { BatchResponseTag } from '../models/BatchResponseTag';
import { BatchResponseTagWithErrors } from '../models/BatchResponseTagWithErrors';
import { CollectionResponseWithTotalTagForwardPaging } from '../models/CollectionResponseWithTotalTagForwardPaging';
import { DetachFromLangGroupRequestVNext } from '../models/DetachFromLangGroupRequestVNext';
import { SetNewLanguagePrimaryRequestVNext } from '../models/SetNewLanguagePrimaryRequestVNext';
import { Tag } from '../models/Tag';
import { TagCloneRequestVNext } from '../models/TagCloneRequestVNext';
import { UpdateLanguagesRequestVNext } from '../models/UpdateLanguagesRequestVNext';
import { BlogTagsApiRequestFactory, BlogTagsApiResponseProcessor } from "../apis/BlogTagsApi";
export interface BlogTagsApiArchiveRequest {
    objectId: string;
    archived?: boolean;
}
export interface BlogTagsApiArchiveBatchRequest {
    batchInputString: BatchInputString;
}
export interface BlogTagsApiAttachToLangGroupRequest {
    attachToLangPrimaryRequestVNext: AttachToLangPrimaryRequestVNext;
}
export interface BlogTagsApiCreateRequest {
    tag: Tag;
}
export interface BlogTagsApiCreateBatchRequest {
    batchInputTag: BatchInputTag;
}
export interface BlogTagsApiCreateLangVariationRequest {
    tagCloneRequestVNext: TagCloneRequestVNext;
}
export interface BlogTagsApiDetachFromLangGroupRequest {
    detachFromLangGroupRequestVNext: DetachFromLangGroupRequestVNext;
}
export interface BlogTagsApiGetByIdRequest {
    objectId: string;
    archived?: boolean;
    property?: string;
}
export interface BlogTagsApiGetPageRequest {
    createdAt?: Date;
    createdAfter?: Date;
    createdBefore?: Date;
    updatedAt?: Date;
    updatedAfter?: Date;
    updatedBefore?: Date;
    sort?: Array<string>;
    after?: string;
    limit?: number;
    archived?: boolean;
    property?: string;
}
export interface BlogTagsApiReadBatchRequest {
    batchInputString: BatchInputString;
    archived?: boolean;
}
export interface BlogTagsApiSetLangPrimaryRequest {
    setNewLanguagePrimaryRequestVNext: SetNewLanguagePrimaryRequestVNext;
}
export interface BlogTagsApiUpdateRequest {
    objectId: string;
    tag: Tag;
    archived?: boolean;
}
export interface BlogTagsApiUpdateBatchRequest {
    batchInputJsonNode: BatchInputJsonNode;
    archived?: boolean;
}
export interface BlogTagsApiUpdateLangsRequest {
    updateLanguagesRequestVNext: UpdateLanguagesRequestVNext;
}
export declare class ObjectBlogTagsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: BlogTagsApiRequestFactory, responseProcessor?: BlogTagsApiResponseProcessor);
    archiveWithHttpInfo(param: BlogTagsApiArchiveRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archive(param: BlogTagsApiArchiveRequest, options?: ConfigurationOptions): Promise<void>;
    archiveBatchWithHttpInfo(param: BlogTagsApiArchiveBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archiveBatch(param: BlogTagsApiArchiveBatchRequest, options?: ConfigurationOptions): Promise<void>;
    attachToLangGroupWithHttpInfo(param: BlogTagsApiAttachToLangGroupRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    attachToLangGroup(param: BlogTagsApiAttachToLangGroupRequest, options?: ConfigurationOptions): Promise<void>;
    createWithHttpInfo(param: BlogTagsApiCreateRequest, options?: ConfigurationOptions): Promise<HttpInfo<Tag>>;
    create(param: BlogTagsApiCreateRequest, options?: ConfigurationOptions): Promise<Tag>;
    createBatchWithHttpInfo(param: BlogTagsApiCreateBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseTag | BatchResponseTagWithErrors>>;
    createBatch(param: BlogTagsApiCreateBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseTag | BatchResponseTagWithErrors>;
    createLangVariationWithHttpInfo(param: BlogTagsApiCreateLangVariationRequest, options?: ConfigurationOptions): Promise<HttpInfo<Tag>>;
    createLangVariation(param: BlogTagsApiCreateLangVariationRequest, options?: ConfigurationOptions): Promise<Tag>;
    detachFromLangGroupWithHttpInfo(param: BlogTagsApiDetachFromLangGroupRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    detachFromLangGroup(param: BlogTagsApiDetachFromLangGroupRequest, options?: ConfigurationOptions): Promise<void>;
    getByIdWithHttpInfo(param: BlogTagsApiGetByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<Tag>>;
    getById(param: BlogTagsApiGetByIdRequest, options?: ConfigurationOptions): Promise<Tag>;
    getPageWithHttpInfo(param?: BlogTagsApiGetPageRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponseWithTotalTagForwardPaging>>;
    getPage(param?: BlogTagsApiGetPageRequest, options?: ConfigurationOptions): Promise<CollectionResponseWithTotalTagForwardPaging>;
    readBatchWithHttpInfo(param: BlogTagsApiReadBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseTag | BatchResponseTagWithErrors>>;
    readBatch(param: BlogTagsApiReadBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseTag | BatchResponseTagWithErrors>;
    setLangPrimaryWithHttpInfo(param: BlogTagsApiSetLangPrimaryRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    setLangPrimary(param: BlogTagsApiSetLangPrimaryRequest, options?: ConfigurationOptions): Promise<void>;
    updateWithHttpInfo(param: BlogTagsApiUpdateRequest, options?: ConfigurationOptions): Promise<HttpInfo<Tag>>;
    update(param: BlogTagsApiUpdateRequest, options?: ConfigurationOptions): Promise<Tag>;
    updateBatchWithHttpInfo(param: BlogTagsApiUpdateBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseTag | BatchResponseTagWithErrors>>;
    updateBatch(param: BlogTagsApiUpdateBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseTag | BatchResponseTagWithErrors>;
    updateLangsWithHttpInfo(param: BlogTagsApiUpdateLangsRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    updateLangs(param: BlogTagsApiUpdateLangsRequest, options?: ConfigurationOptions): Promise<void>;
}
