"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectTablesApi = exports.ObjectRowsBatchApi = exports.ObjectRowsApi = void 0;
const ObservableAPI_1 = require("./ObservableAPI");
class ObjectRowsApi {
    constructor(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_1.ObservableRowsApi(configuration, requestFactory, responseProcessor);
    }
    cloneDraftTableRowWithHttpInfo(param, options) {
        return this.api.cloneDraftTableRowWithHttpInfo(param.tableIdOrName, param.rowId, param.name, options).toPromise();
    }
    cloneDraftTableRow(param, options) {
        return this.api.cloneDraftTableRow(param.tableIdOrName, param.rowId, param.name, options).toPromise();
    }
    createTableRowWithHttpInfo(param, options) {
        return this.api.createTableRowWithHttpInfo(param.tableIdOrName, param.hubDbTableRowV3Request, options).toPromise();
    }
    createTableRow(param, options) {
        return this.api.createTableRow(param.tableIdOrName, param.hubDbTableRowV3Request, options).toPromise();
    }
    getDraftTableRowByIdWithHttpInfo(param, options) {
        return this.api.getDraftTableRowByIdWithHttpInfo(param.tableIdOrName, param.rowId, param.archived, options).toPromise();
    }
    getDraftTableRowById(param, options) {
        return this.api.getDraftTableRowById(param.tableIdOrName, param.rowId, param.archived, options).toPromise();
    }
    getTableRowWithHttpInfo(param, options) {
        return this.api.getTableRowWithHttpInfo(param.tableIdOrName, param.rowId, param.archived, options).toPromise();
    }
    getTableRow(param, options) {
        return this.api.getTableRow(param.tableIdOrName, param.rowId, param.archived, options).toPromise();
    }
    getTableRowsWithHttpInfo(param, options) {
        return this.api.getTableRowsWithHttpInfo(param.tableIdOrName, param.sort, param.after, param.limit, param.properties, param.offset, param.archived, options).toPromise();
    }
    getTableRows(param, options) {
        return this.api.getTableRows(param.tableIdOrName, param.sort, param.after, param.limit, param.properties, param.offset, param.archived, options).toPromise();
    }
    purgeDraftTableRowWithHttpInfo(param, options) {
        return this.api.purgeDraftTableRowWithHttpInfo(param.tableIdOrName, param.rowId, options).toPromise();
    }
    purgeDraftTableRow(param, options) {
        return this.api.purgeDraftTableRow(param.tableIdOrName, param.rowId, options).toPromise();
    }
    readDraftTableRowsWithHttpInfo(param, options) {
        return this.api.readDraftTableRowsWithHttpInfo(param.tableIdOrName, param.sort, param.after, param.limit, param.properties, param.offset, param.archived, options).toPromise();
    }
    readDraftTableRows(param, options) {
        return this.api.readDraftTableRows(param.tableIdOrName, param.sort, param.after, param.limit, param.properties, param.offset, param.archived, options).toPromise();
    }
    replaceDraftTableRowWithHttpInfo(param, options) {
        return this.api.replaceDraftTableRowWithHttpInfo(param.tableIdOrName, param.rowId, param.hubDbTableRowV3Request, options).toPromise();
    }
    replaceDraftTableRow(param, options) {
        return this.api.replaceDraftTableRow(param.tableIdOrName, param.rowId, param.hubDbTableRowV3Request, options).toPromise();
    }
    updateDraftTableRowWithHttpInfo(param, options) {
        return this.api.updateDraftTableRowWithHttpInfo(param.tableIdOrName, param.rowId, param.hubDbTableRowV3Request, options).toPromise();
    }
    updateDraftTableRow(param, options) {
        return this.api.updateDraftTableRow(param.tableIdOrName, param.rowId, param.hubDbTableRowV3Request, options).toPromise();
    }
}
exports.ObjectRowsApi = ObjectRowsApi;
const ObservableAPI_2 = require("./ObservableAPI");
class ObjectRowsBatchApi {
    constructor(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_2.ObservableRowsBatchApi(configuration, requestFactory, responseProcessor);
    }
    cloneDraftTableRowsWithHttpInfo(param, options) {
        return this.api.cloneDraftTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputHubDbTableRowBatchCloneRequest, options).toPromise();
    }
    cloneDraftTableRows(param, options) {
        return this.api.cloneDraftTableRows(param.tableIdOrName, param.batchInputHubDbTableRowBatchCloneRequest, options).toPromise();
    }
    createDraftTableRowsWithHttpInfo(param, options) {
        return this.api.createDraftTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputHubDbTableRowV3Request, options).toPromise();
    }
    createDraftTableRows(param, options) {
        return this.api.createDraftTableRows(param.tableIdOrName, param.batchInputHubDbTableRowV3Request, options).toPromise();
    }
    purgeDraftTableRowsWithHttpInfo(param, options) {
        return this.api.purgeDraftTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputString, options).toPromise();
    }
    purgeDraftTableRows(param, options) {
        return this.api.purgeDraftTableRows(param.tableIdOrName, param.batchInputString, options).toPromise();
    }
    readDraftTableRowsWithHttpInfo(param, options) {
        return this.api.readDraftTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputString, options).toPromise();
    }
    readDraftTableRows(param, options) {
        return this.api.readDraftTableRows(param.tableIdOrName, param.batchInputString, options).toPromise();
    }
    readTableRowsWithHttpInfo(param, options) {
        return this.api.readTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputString, options).toPromise();
    }
    readTableRows(param, options) {
        return this.api.readTableRows(param.tableIdOrName, param.batchInputString, options).toPromise();
    }
    replaceDraftTableRowsWithHttpInfo(param, options) {
        return this.api.replaceDraftTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputHubDbTableRowV3BatchUpdateRequest, options).toPromise();
    }
    replaceDraftTableRows(param, options) {
        return this.api.replaceDraftTableRows(param.tableIdOrName, param.batchInputHubDbTableRowV3BatchUpdateRequest, options).toPromise();
    }
    updateDraftTableRowsWithHttpInfo(param, options) {
        return this.api.updateDraftTableRowsWithHttpInfo(param.tableIdOrName, param.batchInputHubDbTableRowV3BatchUpdateRequest, options).toPromise();
    }
    updateDraftTableRows(param, options) {
        return this.api.updateDraftTableRows(param.tableIdOrName, param.batchInputHubDbTableRowV3BatchUpdateRequest, options).toPromise();
    }
}
exports.ObjectRowsBatchApi = ObjectRowsBatchApi;
const ObservableAPI_3 = require("./ObservableAPI");
class ObjectTablesApi {
    constructor(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_3.ObservableTablesApi(configuration, requestFactory, responseProcessor);
    }
    archiveTableWithHttpInfo(param, options) {
        return this.api.archiveTableWithHttpInfo(param.tableIdOrName, options).toPromise();
    }
    archiveTable(param, options) {
        return this.api.archiveTable(param.tableIdOrName, options).toPromise();
    }
    cloneDraftTableWithHttpInfo(param, options) {
        return this.api.cloneDraftTableWithHttpInfo(param.tableIdOrName, param.hubDbTableCloneRequest, options).toPromise();
    }
    cloneDraftTable(param, options) {
        return this.api.cloneDraftTable(param.tableIdOrName, param.hubDbTableCloneRequest, options).toPromise();
    }
    createTableWithHttpInfo(param, options) {
        return this.api.createTableWithHttpInfo(param.hubDbTableV3Request, options).toPromise();
    }
    createTable(param, options) {
        return this.api.createTable(param.hubDbTableV3Request, options).toPromise();
    }
    exportDraftTableWithHttpInfo(param, options) {
        return this.api.exportDraftTableWithHttpInfo(param.tableIdOrName, param.format, options).toPromise();
    }
    exportDraftTable(param, options) {
        return this.api.exportDraftTable(param.tableIdOrName, param.format, options).toPromise();
    }
    exportTableWithHttpInfo(param, options) {
        return this.api.exportTableWithHttpInfo(param.tableIdOrName, param.format, options).toPromise();
    }
    exportTable(param, options) {
        return this.api.exportTable(param.tableIdOrName, param.format, options).toPromise();
    }
    getAllDraftTablesWithHttpInfo(param = {}, options) {
        return this.api.getAllDraftTablesWithHttpInfo(param.sort, param.after, param.limit, param.createdAt, param.createdAfter, param.createdBefore, param.updatedAt, param.updatedAfter, param.updatedBefore, param.contentType, param.archived, options).toPromise();
    }
    getAllDraftTables(param = {}, options) {
        return this.api.getAllDraftTables(param.sort, param.after, param.limit, param.createdAt, param.createdAfter, param.createdBefore, param.updatedAt, param.updatedAfter, param.updatedBefore, param.contentType, param.archived, options).toPromise();
    }
    getAllTablesWithHttpInfo(param = {}, options) {
        return this.api.getAllTablesWithHttpInfo(param.sort, param.after, param.limit, param.createdAt, param.createdAfter, param.createdBefore, param.updatedAt, param.updatedAfter, param.updatedBefore, param.contentType, param.archived, options).toPromise();
    }
    getAllTables(param = {}, options) {
        return this.api.getAllTables(param.sort, param.after, param.limit, param.createdAt, param.createdAfter, param.createdBefore, param.updatedAt, param.updatedAfter, param.updatedBefore, param.contentType, param.archived, options).toPromise();
    }
    getDraftTableDetailsByIdWithHttpInfo(param, options) {
        return this.api.getDraftTableDetailsByIdWithHttpInfo(param.tableIdOrName, param.isGetLocalizedSchema, param.archived, param.includeForeignIds, options).toPromise();
    }
    getDraftTableDetailsById(param, options) {
        return this.api.getDraftTableDetailsById(param.tableIdOrName, param.isGetLocalizedSchema, param.archived, param.includeForeignIds, options).toPromise();
    }
    getTableDetailsWithHttpInfo(param, options) {
        return this.api.getTableDetailsWithHttpInfo(param.tableIdOrName, param.isGetLocalizedSchema, param.archived, param.includeForeignIds, options).toPromise();
    }
    getTableDetails(param, options) {
        return this.api.getTableDetails(param.tableIdOrName, param.isGetLocalizedSchema, param.archived, param.includeForeignIds, options).toPromise();
    }
    importDraftTableWithHttpInfo(param, options) {
        return this.api.importDraftTableWithHttpInfo(param.tableIdOrName, param.config, param.file, options).toPromise();
    }
    importDraftTable(param, options) {
        return this.api.importDraftTable(param.tableIdOrName, param.config, param.file, options).toPromise();
    }
    publishDraftTableWithHttpInfo(param, options) {
        return this.api.publishDraftTableWithHttpInfo(param.tableIdOrName, param.includeForeignIds, options).toPromise();
    }
    publishDraftTable(param, options) {
        return this.api.publishDraftTable(param.tableIdOrName, param.includeForeignIds, options).toPromise();
    }
    resetDraftTableWithHttpInfo(param, options) {
        return this.api.resetDraftTableWithHttpInfo(param.tableIdOrName, param.includeForeignIds, options).toPromise();
    }
    resetDraftTable(param, options) {
        return this.api.resetDraftTable(param.tableIdOrName, param.includeForeignIds, options).toPromise();
    }
    unpublishTableWithHttpInfo(param, options) {
        return this.api.unpublishTableWithHttpInfo(param.tableIdOrName, param.includeForeignIds, options).toPromise();
    }
    unpublishTable(param, options) {
        return this.api.unpublishTable(param.tableIdOrName, param.includeForeignIds, options).toPromise();
    }
    updateDraftTableWithHttpInfo(param, options) {
        return this.api.updateDraftTableWithHttpInfo(param.tableIdOrName, param.hubDbTableV3Request, param.isGetLocalizedSchema, param.archived, param.includeForeignIds, options).toPromise();
    }
    updateDraftTable(param, options) {
        return this.api.updateDraftTable(param.tableIdOrName, param.hubDbTableV3Request, param.isGetLocalizedSchema, param.archived, param.includeForeignIds, options).toPromise();
    }
}
exports.ObjectTablesApi = ObjectTablesApi;
//# sourceMappingURL=ObjectParamAPI.js.map