import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { CollectionResponseWithTotalUrlMappingForwardPaging } from '../models/CollectionResponseWithTotalUrlMappingForwardPaging';
import { UrlMapping } from '../models/UrlMapping';
import { UrlMappingCreateRequestBody } from '../models/UrlMappingCreateRequestBody';
import { RedirectsApiRequestFactory, RedirectsApiResponseProcessor } from "../apis/RedirectsApi";
export interface RedirectsApiArchiveRequest {
    urlRedirectId: string;
}
export interface RedirectsApiCreateRequest {
    urlMappingCreateRequestBody: UrlMappingCreateRequestBody;
}
export interface RedirectsApiGetByIdRequest {
    urlRedirectId: string;
}
export interface RedirectsApiGetPageRequest {
    createdAt?: Date;
    createdAfter?: Date;
    createdBefore?: Date;
    updatedAt?: Date;
    updatedAfter?: Date;
    updatedBefore?: Date;
    sort?: Array<string>;
    after?: string;
    limit?: number;
    archived?: boolean;
}
export interface RedirectsApiUpdateRequest {
    urlRedirectId: string;
    urlMapping: UrlMapping;
}
export declare class ObjectRedirectsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: RedirectsApiRequestFactory, responseProcessor?: RedirectsApiResponseProcessor);
    archiveWithHttpInfo(param: RedirectsApiArchiveRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archive(param: RedirectsApiArchiveRequest, options?: ConfigurationOptions): Promise<void>;
    createWithHttpInfo(param: RedirectsApiCreateRequest, options?: ConfigurationOptions): Promise<HttpInfo<UrlMapping>>;
    create(param: RedirectsApiCreateRequest, options?: ConfigurationOptions): Promise<UrlMapping>;
    getByIdWithHttpInfo(param: RedirectsApiGetByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<UrlMapping>>;
    getById(param: RedirectsApiGetByIdRequest, options?: ConfigurationOptions): Promise<UrlMapping>;
    getPageWithHttpInfo(param?: RedirectsApiGetPageRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponseWithTotalUrlMappingForwardPaging>>;
    getPage(param?: RedirectsApiGetPageRequest, options?: ConfigurationOptions): Promise<CollectionResponseWithTotalUrlMappingForwardPaging>;
    updateWithHttpInfo(param: RedirectsApiUpdateRequest, options?: ConfigurationOptions): Promise<HttpInfo<UrlMapping>>;
    update(param: RedirectsApiUpdateRequest, options?: ConfigurationOptions): Promise<UrlMapping>;
}
