import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { Observable } from '../rxjsStub';
import { CollectionResponseWithTotalUrlMappingForwardPaging } from '../models/CollectionResponseWithTotalUrlMappingForwardPaging';
import { UrlMapping } from '../models/UrlMapping';
import { UrlMappingCreateRequestBody } from '../models/UrlMappingCreateRequestBody';
import { RedirectsApiRequestFactory, RedirectsApiResponseProcessor } from "../apis/RedirectsApi";
export declare class ObservableRedirectsApi {
    private requestFactory;
    private responseProcessor;
    private configuration;
    constructor(configuration: Configuration, requestFactory?: RedirectsApiRequestFactory, responseProcessor?: RedirectsApiResponseProcessor);
    archiveWithHttpInfo(urlRedirectId: string, _options?: ConfigurationOptions): Observable<HttpInfo<void>>;
    archive(urlRedirectId: string, _options?: ConfigurationOptions): Observable<void>;
    createWithHttpInfo(urlMappingCreateRequestBody: UrlMappingCreateRequestBody, _options?: ConfigurationOptions): Observable<HttpInfo<UrlMapping>>;
    create(urlMappingCreateRequestBody: UrlMappingCreateRequestBody, _options?: ConfigurationOptions): Observable<UrlMapping>;
    getByIdWithHttpInfo(urlRedirectId: string, _options?: ConfigurationOptions): Observable<HttpInfo<UrlMapping>>;
    getById(urlRedirectId: string, _options?: ConfigurationOptions): Observable<UrlMapping>;
    getPageWithHttpInfo(createdAt?: Date, createdAfter?: Date, createdBefore?: Date, updatedAt?: Date, updatedAfter?: Date, updatedBefore?: Date, sort?: Array<string>, after?: string, limit?: number, archived?: boolean, _options?: ConfigurationOptions): Observable<HttpInfo<CollectionResponseWithTotalUrlMappingForwardPaging>>;
    getPage(createdAt?: Date, createdAfter?: Date, createdBefore?: Date, updatedAt?: Date, updatedAfter?: Date, updatedBefore?: Date, sort?: Array<string>, after?: string, limit?: number, archived?: boolean, _options?: ConfigurationOptions): Observable<CollectionResponseWithTotalUrlMappingForwardPaging>;
    updateWithHttpInfo(urlRedirectId: string, urlMapping: UrlMapping, _options?: ConfigurationOptions): Observable<HttpInfo<UrlMapping>>;
    update(urlRedirectId: string, urlMapping: UrlMapping, _options?: ConfigurationOptions): Observable<UrlMapping>;
}
