import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { PublicSubscriptionStatus } from '../models/PublicSubscriptionStatus';
import { PublicSubscriptionStatusesResponse } from '../models/PublicSubscriptionStatusesResponse';
import { PublicUpdateSubscriptionStatusRequest } from '../models/PublicUpdateSubscriptionStatusRequest';
import { SubscriptionDefinitionsResponse } from '../models/SubscriptionDefinitionsResponse';
import { DefinitionApiRequestFactory, DefinitionApiResponseProcessor } from "../apis/DefinitionApi";
export declare class PromiseDefinitionApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: DefinitionApiRequestFactory, responseProcessor?: DefinitionApiResponseProcessor);
    getPageWithHttpInfo(_options?: PromiseConfigurationOptions): Promise<HttpInfo<SubscriptionDefinitionsResponse>>;
    getPage(_options?: PromiseConfigurationOptions): Promise<SubscriptionDefinitionsResponse>;
}
import { StatusApiRequestFactory, StatusApiResponseProcessor } from "../apis/StatusApi";
export declare class PromiseStatusApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: StatusApiRequestFactory, responseProcessor?: StatusApiResponseProcessor);
    getEmailStatusWithHttpInfo(emailAddress: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicSubscriptionStatusesResponse>>;
    getEmailStatus(emailAddress: string, _options?: PromiseConfigurationOptions): Promise<PublicSubscriptionStatusesResponse>;
    subscribeWithHttpInfo(publicUpdateSubscriptionStatusRequest: PublicUpdateSubscriptionStatusRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicSubscriptionStatus>>;
    subscribe(publicUpdateSubscriptionStatusRequest: PublicUpdateSubscriptionStatusRequest, _options?: PromiseConfigurationOptions): Promise<PublicSubscriptionStatus>;
    unsubscribeWithHttpInfo(publicUpdateSubscriptionStatusRequest: PublicUpdateSubscriptionStatusRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicSubscriptionStatus>>;
    unsubscribe(publicUpdateSubscriptionStatusRequest: PublicUpdateSubscriptionStatusRequest, _options?: PromiseConfigurationOptions): Promise<PublicSubscriptionStatus>;
}
