"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseGenerateApi = void 0;
const middleware_1 = require("../middleware");
const ObservableAPI_1 = require("./ObservableAPI");
class PromiseGenerateApi {
    constructor(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_1.ObservableGenerateApi(configuration, requestFactory, responseProcessor);
    }
    generateTokenWithHttpInfo(identificationTokenGenerationRequest, _options) {
        var _a;
        let observableOptions;
        if (_options) {
            observableOptions = {
                baseServer: _options.baseServer,
                httpApi: _options.httpApi,
                middleware: (_a = _options.middleware) === null || _a === void 0 ? void 0 : _a.map(m => new middleware_1.PromiseMiddlewareWrapper(m)),
                middlewareMergeStrategy: _options.middlewareMergeStrategy,
                authMethods: _options.authMethods
            };
        }
        const result = this.api.generateTokenWithHttpInfo(identificationTokenGenerationRequest, observableOptions);
        return result.toPromise();
    }
    generateToken(identificationTokenGenerationRequest, _options) {
        var _a;
        let observableOptions;
        if (_options) {
            observableOptions = {
                baseServer: _options.baseServer,
                httpApi: _options.httpApi,
                middleware: (_a = _options.middleware) === null || _a === void 0 ? void 0 : _a.map(m => new middleware_1.PromiseMiddlewareWrapper(m)),
                middlewareMergeStrategy: _options.middlewareMergeStrategy,
                authMethods: _options.authMethods
            };
        }
        const result = this.api.generateToken(identificationTokenGenerationRequest, observableOptions);
        return result.toPromise();
    }
}
exports.PromiseGenerateApi = PromiseGenerateApi;
//# sourceMappingURL=PromiseAPI.js.map