import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { ActionResponseWithSingleResultURI } from '../models/ActionResponseWithSingleResultURI';
import { PublicExportRequest } from '../models/PublicExportRequest';
import { TaskLocator } from '../models/TaskLocator';
import { PublicExportsApiRequestFactory, PublicExportsApiResponseProcessor } from "../apis/PublicExportsApi";
export declare class PromisePublicExportsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: PublicExportsApiRequestFactory, responseProcessor?: PublicExportsApiResponseProcessor);
    getStatusWithHttpInfo(taskId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ActionResponseWithSingleResultURI>>;
    getStatus(taskId: number, _options?: PromiseConfigurationOptions): Promise<ActionResponseWithSingleResultURI>;
    startWithHttpInfo(publicExportRequest: PublicExportRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<TaskLocator>>;
    start(publicExportRequest: PublicExportRequest, _options?: PromiseConfigurationOptions): Promise<TaskLocator>;
}
