import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { ChannelConnectionSettingsPatchRequest } from '../models/ChannelConnectionSettingsPatchRequest';
import { ChannelConnectionSettingsRequest } from '../models/ChannelConnectionSettingsRequest';
import { ChannelConnectionSettingsResponse } from '../models/ChannelConnectionSettingsResponse';
import { MarkRecordingAsReadyRequest } from '../models/MarkRecordingAsReadyRequest';
import { RecordingSettingsPatchRequest } from '../models/RecordingSettingsPatchRequest';
import { RecordingSettingsRequest } from '../models/RecordingSettingsRequest';
import { RecordingSettingsResponse } from '../models/RecordingSettingsResponse';
import { SettingsPatchRequest } from '../models/SettingsPatchRequest';
import { SettingsRequest } from '../models/SettingsRequest';
import { SettingsResponse } from '../models/SettingsResponse';
import { ChannelConnectionSettingsApiRequestFactory, ChannelConnectionSettingsApiResponseProcessor } from "../apis/ChannelConnectionSettingsApi";
export declare class PromiseChannelConnectionSettingsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: ChannelConnectionSettingsApiRequestFactory, responseProcessor?: ChannelConnectionSettingsApiResponseProcessor);
    archiveWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(appId: number, _options?: PromiseConfigurationOptions): Promise<void>;
    createWithHttpInfo(appId: number, channelConnectionSettingsRequest: ChannelConnectionSettingsRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ChannelConnectionSettingsResponse>>;
    create(appId: number, channelConnectionSettingsRequest: ChannelConnectionSettingsRequest, _options?: PromiseConfigurationOptions): Promise<ChannelConnectionSettingsResponse>;
    getByIdWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ChannelConnectionSettingsResponse>>;
    getById(appId: number, _options?: PromiseConfigurationOptions): Promise<ChannelConnectionSettingsResponse>;
    updateWithHttpInfo(appId: number, channelConnectionSettingsPatchRequest: ChannelConnectionSettingsPatchRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ChannelConnectionSettingsResponse>>;
    update(appId: number, channelConnectionSettingsPatchRequest: ChannelConnectionSettingsPatchRequest, _options?: PromiseConfigurationOptions): Promise<ChannelConnectionSettingsResponse>;
}
import { RecordingSettingsApiRequestFactory, RecordingSettingsApiResponseProcessor } from "../apis/RecordingSettingsApi";
export declare class PromiseRecordingSettingsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: RecordingSettingsApiRequestFactory, responseProcessor?: RecordingSettingsApiResponseProcessor);
    getUrlFormatWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<RecordingSettingsResponse>>;
    getUrlFormat(appId: number, _options?: PromiseConfigurationOptions): Promise<RecordingSettingsResponse>;
    markAsReadyWithHttpInfo(markRecordingAsReadyRequest: MarkRecordingAsReadyRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    markAsReady(markRecordingAsReadyRequest: MarkRecordingAsReadyRequest, _options?: PromiseConfigurationOptions): Promise<void>;
    registerUrlFormatWithHttpInfo(appId: number, recordingSettingsRequest: RecordingSettingsRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<RecordingSettingsResponse>>;
    registerUrlFormat(appId: number, recordingSettingsRequest: RecordingSettingsRequest, _options?: PromiseConfigurationOptions): Promise<RecordingSettingsResponse>;
    updateUrlFormatWithHttpInfo(appId: number, recordingSettingsPatchRequest: RecordingSettingsPatchRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<RecordingSettingsResponse>>;
    updateUrlFormat(appId: number, recordingSettingsPatchRequest: RecordingSettingsPatchRequest, _options?: PromiseConfigurationOptions): Promise<RecordingSettingsResponse>;
}
import { SettingsApiRequestFactory, SettingsApiResponseProcessor } from "../apis/SettingsApi";
export declare class PromiseSettingsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SettingsApiRequestFactory, responseProcessor?: SettingsApiResponseProcessor);
    archiveWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(appId: number, _options?: PromiseConfigurationOptions): Promise<void>;
    createWithHttpInfo(appId: number, settingsRequest: SettingsRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<SettingsResponse>>;
    create(appId: number, settingsRequest: SettingsRequest, _options?: PromiseConfigurationOptions): Promise<SettingsResponse>;
    getByIdWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<SettingsResponse>>;
    getById(appId: number, _options?: PromiseConfigurationOptions): Promise<SettingsResponse>;
    updateWithHttpInfo(appId: number, settingsPatchRequest: SettingsPatchRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<SettingsResponse>>;
    update(appId: number, settingsPatchRequest: SettingsPatchRequest, _options?: PromiseConfigurationOptions): Promise<SettingsResponse>;
}
