import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { Observable } from '../rxjsStub';
import { ExternalSettings } from '../models/ExternalSettings';
import { SettingsApiRequestFactory, SettingsApiResponseProcessor } from "../apis/SettingsApi";
export declare class ObservableSettingsApi {
    private requestFactory;
    private responseProcessor;
    private configuration;
    constructor(configuration: Configuration, requestFactory?: SettingsApiRequestFactory, responseProcessor?: SettingsApiResponseProcessor);
    archiveWithHttpInfo(appId: number, _options?: ConfigurationOptions): Observable<HttpInfo<void>>;
    archive(appId: number, _options?: ConfigurationOptions): Observable<void>;
    getByIdWithHttpInfo(appId: number, _options?: ConfigurationOptions): Observable<HttpInfo<ExternalSettings>>;
    getById(appId: number, _options?: ConfigurationOptions): Observable<ExternalSettings>;
    replaceWithHttpInfo(appId: number, externalSettings: ExternalSettings, _options?: ConfigurationOptions): Observable<HttpInfo<ExternalSettings>>;
    replace(appId: number, externalSettings: ExternalSettings, _options?: ConfigurationOptions): Observable<ExternalSettings>;
}
