import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { ExternalSettings } from '../models/ExternalSettings';
import { SettingsApiRequestFactory, SettingsApiResponseProcessor } from "../apis/SettingsApi";
export declare class PromiseSettingsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SettingsApiRequestFactory, responseProcessor?: SettingsApiResponseProcessor);
    archiveWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(appId: number, _options?: PromiseConfigurationOptions): Promise<void>;
    getByIdWithHttpInfo(appId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ExternalSettings>>;
    getById(appId: number, _options?: PromiseConfigurationOptions): Promise<ExternalSettings>;
    replaceWithHttpInfo(appId: number, externalSettings: ExternalSettings, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ExternalSettings>>;
    replace(appId: number, externalSettings: ExternalSettings, _options?: PromiseConfigurationOptions): Promise<ExternalSettings>;
}
