import { HttpFile, HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { ActionResponse } from '../models/ActionResponse';
import { CollectionResponsePublicImportErrorForwardPaging } from '../models/CollectionResponsePublicImportErrorForwardPaging';
import { CollectionResponsePublicImportResponse } from '../models/CollectionResponsePublicImportResponse';
import { PublicImportResponse } from '../models/PublicImportResponse';
import { CoreApiRequestFactory, CoreApiResponseProcessor } from "../apis/CoreApi";
export declare class PromiseCoreApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: CoreApiRequestFactory, responseProcessor?: CoreApiResponseProcessor);
    cancelWithHttpInfo(importId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ActionResponse>>;
    cancel(importId: number, _options?: PromiseConfigurationOptions): Promise<ActionResponse>;
    createWithHttpInfo(files?: HttpFile, importRequest?: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicImportResponse>>;
    create(files?: HttpFile, importRequest?: string, _options?: PromiseConfigurationOptions): Promise<PublicImportResponse>;
    getByIdWithHttpInfo(importId: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<PublicImportResponse>>;
    getById(importId: number, _options?: PromiseConfigurationOptions): Promise<PublicImportResponse>;
    getPageWithHttpInfo(after?: string, before?: string, limit?: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicImportResponse>>;
    getPage(after?: string, before?: string, limit?: number, _options?: PromiseConfigurationOptions): Promise<CollectionResponsePublicImportResponse>;
}
import { PublicImportsApiRequestFactory, PublicImportsApiResponseProcessor } from "../apis/PublicImportsApi";
export declare class PromisePublicImportsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: PublicImportsApiRequestFactory, responseProcessor?: PublicImportsApiResponseProcessor);
    getErrorsWithHttpInfo(importId: number, after?: string, limit?: number, includeErrorMessage?: boolean, includeRowData?: boolean, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicImportErrorForwardPaging>>;
    getErrors(importId: number, after?: string, limit?: number, includeErrorMessage?: boolean, includeRowData?: boolean, _options?: PromiseConfigurationOptions): Promise<CollectionResponsePublicImportErrorForwardPaging>;
}
