import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { Observable } from '../rxjsStub';
import { BatchInputPublicObjectId } from '../models/BatchInputPublicObjectId';
import { BatchResponseDealToDealSplits } from '../models/BatchResponseDealToDealSplits';
import { BatchResponseDealToDealSplitsWithErrors } from '../models/BatchResponseDealToDealSplitsWithErrors';
import { PublicDealSplitsBatchCreateRequest } from '../models/PublicDealSplitsBatchCreateRequest';
import { BatchApiRequestFactory, BatchApiResponseProcessor } from "../apis/BatchApi";
export declare class ObservableBatchApi {
    private requestFactory;
    private responseProcessor;
    private configuration;
    constructor(configuration: Configuration, requestFactory?: BatchApiRequestFactory, responseProcessor?: BatchApiResponseProcessor);
    readWithHttpInfo(batchInputPublicObjectId: BatchInputPublicObjectId, _options?: ConfigurationOptions): Observable<HttpInfo<BatchResponseDealToDealSplits | BatchResponseDealToDealSplitsWithErrors>>;
    read(batchInputPublicObjectId: BatchInputPublicObjectId, _options?: ConfigurationOptions): Observable<BatchResponseDealToDealSplits | BatchResponseDealToDealSplitsWithErrors>;
    upsertWithHttpInfo(publicDealSplitsBatchCreateRequest: PublicDealSplitsBatchCreateRequest, _options?: ConfigurationOptions): Observable<HttpInfo<BatchResponseDealToDealSplits | BatchResponseDealToDealSplitsWithErrors>>;
    upsert(publicDealSplitsBatchCreateRequest: PublicDealSplitsBatchCreateRequest, _options?: ConfigurationOptions): Observable<BatchResponseDealToDealSplits | BatchResponseDealToDealSplitsWithErrors>;
}
