import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { Observable } from '../rxjsStub';
import { CollectionResponsePublicOwnerForwardPaging } from '../models/CollectionResponsePublicOwnerForwardPaging';
import { PublicOwner } from '../models/PublicOwner';
import { OwnersApiRequestFactory, OwnersApiResponseProcessor } from "../apis/OwnersApi";
export declare class ObservableOwnersApi {
    private requestFactory;
    private responseProcessor;
    private configuration;
    constructor(configuration: Configuration, requestFactory?: OwnersApiRequestFactory, responseProcessor?: OwnersApiResponseProcessor);
    getByIdWithHttpInfo(ownerId: number, idProperty?: 'id' | 'userId', archived?: boolean, _options?: ConfigurationOptions): Observable<HttpInfo<PublicOwner>>;
    getById(ownerId: number, idProperty?: 'id' | 'userId', archived?: boolean, _options?: ConfigurationOptions): Observable<PublicOwner>;
    getPageWithHttpInfo(email?: string, after?: string, limit?: number, archived?: boolean, _options?: ConfigurationOptions): Observable<HttpInfo<CollectionResponsePublicOwnerForwardPaging>>;
    getPage(email?: string, after?: string, limit?: number, archived?: boolean, _options?: ConfigurationOptions): Observable<CollectionResponsePublicOwnerForwardPaging>;
}
