import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { AssociationDefinition } from '../models/AssociationDefinition';
import { AssociationDefinitionEgg } from '../models/AssociationDefinitionEgg';
import { CollectionResponseObjectSchemaNoPaging } from '../models/CollectionResponseObjectSchemaNoPaging';
import { ObjectSchema } from '../models/ObjectSchema';
import { ObjectSchemaEgg } from '../models/ObjectSchemaEgg';
import { ObjectTypeDefinition } from '../models/ObjectTypeDefinition';
import { ObjectTypeDefinitionPatch } from '../models/ObjectTypeDefinitionPatch';
import { CoreApiRequestFactory, CoreApiResponseProcessor } from "../apis/CoreApi";
export declare class PromiseCoreApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: CoreApiRequestFactory, responseProcessor?: CoreApiResponseProcessor);
    archiveWithHttpInfo(objectType: string, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(objectType: string, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<void>;
    archiveAssociationWithHttpInfo(objectType: string, associationIdentifier: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archiveAssociation(objectType: string, associationIdentifier: string, _options?: PromiseConfigurationOptions): Promise<void>;
    createWithHttpInfo(objectSchemaEgg: ObjectSchemaEgg, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ObjectSchema>>;
    create(objectSchemaEgg: ObjectSchemaEgg, _options?: PromiseConfigurationOptions): Promise<ObjectSchema>;
    createAssociationWithHttpInfo(objectType: string, associationDefinitionEgg: AssociationDefinitionEgg, _options?: PromiseConfigurationOptions): Promise<HttpInfo<AssociationDefinition>>;
    createAssociation(objectType: string, associationDefinitionEgg: AssociationDefinitionEgg, _options?: PromiseConfigurationOptions): Promise<AssociationDefinition>;
    getAllWithHttpInfo(archived?: boolean, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponseObjectSchemaNoPaging>>;
    getAll(archived?: boolean, _options?: PromiseConfigurationOptions): Promise<CollectionResponseObjectSchemaNoPaging>;
    getByIdWithHttpInfo(objectType: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ObjectSchema>>;
    getById(objectType: string, _options?: PromiseConfigurationOptions): Promise<ObjectSchema>;
    updateWithHttpInfo(objectType: string, objectTypeDefinitionPatch: ObjectTypeDefinitionPatch, _options?: PromiseConfigurationOptions): Promise<HttpInfo<ObjectTypeDefinition>>;
    update(objectType: string, objectTypeDefinitionPatch: ObjectTypeDefinitionPatch, _options?: PromiseConfigurationOptions): Promise<ObjectTypeDefinition>;
}
