import { EmailStatisticsData } from '../models/EmailStatisticsData';
import { PublicEmailContent } from '../models/PublicEmailContent';
import { PublicEmailFromDetails } from '../models/PublicEmailFromDetails';
import { PublicEmailSubscriptionDetails } from '../models/PublicEmailSubscriptionDetails';
import { PublicEmailTestingDetails } from '../models/PublicEmailTestingDetails';
import { PublicEmailToDetails } from '../models/PublicEmailToDetails';
import { PublicRssEmailDetails } from '../models/PublicRssEmailDetails';
import { PublicWebversionDetails } from '../models/PublicWebversionDetails';
export declare class PublicEmail {
    'feedbackSurveyId'?: string;
    'subject': string;
    'publishDate'?: Date;
    'isTransactional'?: boolean;
    'language'?: PublicEmailLanguageEnum;
    'type'?: PublicEmailTypeEnum;
    'content': PublicEmailContent;
    'businessUnitId'?: string;
    'webversion'?: PublicWebversionDetails;
    'workflowNames'?: Array<string>;
    'archived'?: boolean;
    'createdAt'?: Date;
    'stats'?: EmailStatisticsData;
    'jitterSendTime'?: boolean;
    '_from': PublicEmailFromDetails;
    'id': string;
    'state': PublicEmailStateEnum;
    'createdById'?: string;
    'updatedAt'?: Date;
    'clonedFrom'?: string;
    'rssData'?: PublicRssEmailDetails;
    'publishedAt'?: Date;
    'publishedById'?: string;
    'isPublished'?: boolean;
    'testing'?: PublicEmailTestingDetails;
    'updatedById'?: string;
    'folderId'?: number;
    'subscriptionDetails'?: PublicEmailSubscriptionDetails;
    'deletedAt'?: Date;
    'name': string;
    'activeDomain'?: string;
    'campaign'?: string;
    'to': PublicEmailToDetails;
    'subcategory': string;
    'campaignName'?: string;
    'sendOnPublish': boolean;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare enum PublicEmailLanguageEnum {
    Af = "af",
    AfNa = "af-na",
    AfZa = "af-za",
    Agq = "agq",
    AgqCm = "agq-cm",
    Ak = "ak",
    AkGh = "ak-gh",
    Am = "am",
    AmEt = "am-et",
    Ann = "ann",
    AnnNg = "ann-ng",
    Ar = "ar",
    Ar001 = "ar-001",
    ArAe = "ar-ae",
    ArBh = "ar-bh",
    ArDj = "ar-dj",
    ArDz = "ar-dz",
    ArEg = "ar-eg",
    ArEh = "ar-eh",
    ArEr = "ar-er",
    ArIl = "ar-il",
    ArIq = "ar-iq",
    ArJo = "ar-jo",
    ArKm = "ar-km",
    ArKw = "ar-kw",
    ArLb = "ar-lb",
    ArLy = "ar-ly",
    ArMa = "ar-ma",
    ArMr = "ar-mr",
    ArOm = "ar-om",
    ArPs = "ar-ps",
    ArQa = "ar-qa",
    ArSa = "ar-sa",
    ArSd = "ar-sd",
    ArSo = "ar-so",
    ArSs = "ar-ss",
    ArSy = "ar-sy",
    ArTd = "ar-td",
    ArTn = "ar-tn",
    ArYe = "ar-ye",
    As = "as",
    Asa = "asa",
    AsaTz = "asa-tz",
    Ast = "ast",
    AstEs = "ast-es",
    AsIn = "as-in",
    Az = "az",
    AzAz = "az-az",
    Bas = "bas",
    BasCm = "bas-cm",
    Be = "be",
    Bem = "bem",
    BemZm = "bem-zm",
    Bez = "bez",
    BezTz = "bez-tz",
    BeBy = "be-by",
    Bg = "bg",
    Bgc = "bgc",
    BgcIn = "bgc-in",
    BgBg = "bg-bg",
    Bho = "bho",
    BhoIn = "bho-in",
    Bm = "bm",
    BmMl = "bm-ml",
    Bn = "bn",
    BnBd = "bn-bd",
    BnIn = "bn-in",
    Bo = "bo",
    BoCn = "bo-cn",
    BoIn = "bo-in",
    Br = "br",
    Brx = "brx",
    BrxIn = "brx-in",
    BrFr = "br-fr",
    Bs = "bs",
    BsBa = "bs-ba",
    Ca = "ca",
    CaAd = "ca-ad",
    CaEs = "ca-es",
    CaFr = "ca-fr",
    CaIt = "ca-it",
    Ccp = "ccp",
    CcpBd = "ccp-bd",
    CcpIn = "ccp-in",
    Ce = "ce",
    Ceb = "ceb",
    CebPh = "ceb-ph",
    CeRu = "ce-ru",
    Cgg = "cgg",
    CggUg = "cgg-ug",
    Chr = "chr",
    ChrUs = "chr-us",
    Ckb = "ckb",
    CkbIq = "ckb-iq",
    CkbIr = "ckb-ir",
    Cs = "cs",
    CsCz = "cs-cz",
    Cu = "cu",
    CuRu = "cu-ru",
    Cv = "cv",
    CvRu = "cv-ru",
    Cy = "cy",
    CyGb = "cy-gb",
    Da = "da",
    Dav = "dav",
    DavKe = "dav-ke",
    DaDk = "da-dk",
    DaGl = "da-gl",
    De = "de",
    DeAt = "de-at",
    DeBe = "de-be",
    DeCh = "de-ch",
    DeDe = "de-de",
    DeGr = "de-gr",
    DeIt = "de-it",
    DeLi = "de-li",
    DeLu = "de-lu",
    Dje = "dje",
    DjeNe = "dje-ne",
    Doi = "doi",
    DoiIn = "doi-in",
    Dsb = "dsb",
    DsbDe = "dsb-de",
    Dua = "dua",
    DuaCm = "dua-cm",
    Dyo = "dyo",
    DyoSn = "dyo-sn",
    Dz = "dz",
    DzBt = "dz-bt",
    Ebu = "ebu",
    EbuKe = "ebu-ke",
    Ee = "ee",
    EeGh = "ee-gh",
    EeTg = "ee-tg",
    El = "el",
    ElCy = "el-cy",
    ElGr = "el-gr",
    En = "en",
    En001 = "en-001",
    En150 = "en-150",
    EnAe = "en-ae",
    EnAg = "en-ag",
    EnAi = "en-ai",
    EnAs = "en-as",
    EnAt = "en-at",
    EnAu = "en-au",
    EnBb = "en-bb",
    EnBe = "en-be",
    EnBi = "en-bi",
    EnBm = "en-bm",
    EnBs = "en-bs",
    EnBw = "en-bw",
    EnBz = "en-bz",
    EnCa = "en-ca",
    EnCc = "en-cc",
    EnCh = "en-ch",
    EnCk = "en-ck",
    EnCm = "en-cm",
    EnCn = "en-cn",
    EnCx = "en-cx",
    EnCy = "en-cy",
    EnDe = "en-de",
    EnDg = "en-dg",
    EnDk = "en-dk",
    EnDm = "en-dm",
    EnEe = "en-ee",
    EnEr = "en-er",
    EnEs = "en-es",
    EnFi = "en-fi",
    EnFj = "en-fj",
    EnFk = "en-fk",
    EnFm = "en-fm",
    EnFr = "en-fr",
    EnGb = "en-gb",
    EnGd = "en-gd",
    EnGg = "en-gg",
    EnGh = "en-gh",
    EnGi = "en-gi",
    EnGm = "en-gm",
    EnGu = "en-gu",
    EnGy = "en-gy",
    EnHk = "en-hk",
    EnIe = "en-ie",
    EnIl = "en-il",
    EnIm = "en-im",
    EnIn = "en-in",
    EnIo = "en-io",
    EnJe = "en-je",
    EnJm = "en-jm",
    EnKe = "en-ke",
    EnKi = "en-ki",
    EnKn = "en-kn",
    EnKy = "en-ky",
    EnLc = "en-lc",
    EnLr = "en-lr",
    EnLs = "en-ls",
    EnLu = "en-lu",
    EnMg = "en-mg",
    EnMh = "en-mh",
    EnMo = "en-mo",
    EnMp = "en-mp",
    EnMs = "en-ms",
    EnMt = "en-mt",
    EnMu = "en-mu",
    EnMv = "en-mv",
    EnMw = "en-mw",
    EnMx = "en-mx",
    EnMy = "en-my",
    EnNa = "en-na",
    EnNf = "en-nf",
    EnNg = "en-ng",
    EnNl = "en-nl",
    EnNr = "en-nr",
    EnNu = "en-nu",
    EnNz = "en-nz",
    EnPg = "en-pg",
    EnPh = "en-ph",
    EnPk = "en-pk",
    EnPn = "en-pn",
    EnPr = "en-pr",
    EnPw = "en-pw",
    EnRw = "en-rw",
    EnSb = "en-sb",
    EnSc = "en-sc",
    EnSd = "en-sd",
    EnSe = "en-se",
    EnSg = "en-sg",
    EnSh = "en-sh",
    EnSi = "en-si",
    EnSl = "en-sl",
    EnSs = "en-ss",
    EnSx = "en-sx",
    EnSz = "en-sz",
    EnTc = "en-tc",
    EnTk = "en-tk",
    EnTn = "en-tn",
    EnTo = "en-to",
    EnTt = "en-tt",
    EnTv = "en-tv",
    EnTz = "en-tz",
    EnUg = "en-ug",
    EnUm = "en-um",
    EnUs = "en-us",
    EnVc = "en-vc",
    EnVg = "en-vg",
    EnVi = "en-vi",
    EnVu = "en-vu",
    EnWs = "en-ws",
    EnZa = "en-za",
    EnZm = "en-zm",
    EnZw = "en-zw",
    Eo = "eo",
    Eo001 = "eo-001",
    Es = "es",
    Es419 = "es-419",
    EsAr = "es-ar",
    EsBo = "es-bo",
    EsBr = "es-br",
    EsBz = "es-bz",
    EsCl = "es-cl",
    EsCo = "es-co",
    EsCr = "es-cr",
    EsCu = "es-cu",
    EsDo = "es-do",
    EsEa = "es-ea",
    EsEc = "es-ec",
    EsEs = "es-es",
    EsGq = "es-gq",
    EsGt = "es-gt",
    EsHn = "es-hn",
    EsIc = "es-ic",
    EsMx = "es-mx",
    EsNi = "es-ni",
    EsPa = "es-pa",
    EsPe = "es-pe",
    EsPh = "es-ph",
    EsPr = "es-pr",
    EsPy = "es-py",
    EsSv = "es-sv",
    EsUs = "es-us",
    EsUy = "es-uy",
    EsVe = "es-ve",
    Et = "et",
    EtEe = "et-ee",
    Eu = "eu",
    EuEs = "eu-es",
    Ewo = "ewo",
    EwoCm = "ewo-cm",
    Fa = "fa",
    FaAf = "fa-af",
    FaIr = "fa-ir",
    Ff = "ff",
    FfBf = "ff-bf",
    FfCm = "ff-cm",
    FfGh = "ff-gh",
    FfGm = "ff-gm",
    FfGn = "ff-gn",
    FfGw = "ff-gw",
    FfLr = "ff-lr",
    FfMr = "ff-mr",
    FfNe = "ff-ne",
    FfNg = "ff-ng",
    FfSl = "ff-sl",
    FfSn = "ff-sn",
    Fi = "fi",
    Fil = "fil",
    FilPh = "fil-ph",
    FiFi = "fi-fi",
    Fo = "fo",
    FoDk = "fo-dk",
    FoFo = "fo-fo",
    Fr = "fr",
    Frr = "frr",
    FrrDe = "frr-de",
    FrBe = "fr-be",
    FrBf = "fr-bf",
    FrBi = "fr-bi",
    FrBj = "fr-bj",
    FrBl = "fr-bl",
    FrCa = "fr-ca",
    FrCd = "fr-cd",
    FrCf = "fr-cf",
    FrCg = "fr-cg",
    FrCh = "fr-ch",
    FrCi = "fr-ci",
    FrCm = "fr-cm",
    FrDj = "fr-dj",
    FrDz = "fr-dz",
    FrFr = "fr-fr",
    FrGa = "fr-ga",
    FrGf = "fr-gf",
    FrGn = "fr-gn",
    FrGp = "fr-gp",
    FrGq = "fr-gq",
    FrHt = "fr-ht",
    FrKm = "fr-km",
    FrLu = "fr-lu",
    FrMa = "fr-ma",
    FrMc = "fr-mc",
    FrMf = "fr-mf",
    FrMg = "fr-mg",
    FrMl = "fr-ml",
    FrMq = "fr-mq",
    FrMr = "fr-mr",
    FrMu = "fr-mu",
    FrNc = "fr-nc",
    FrNe = "fr-ne",
    FrPf = "fr-pf",
    FrPm = "fr-pm",
    FrRe = "fr-re",
    FrRw = "fr-rw",
    FrSc = "fr-sc",
    FrSn = "fr-sn",
    FrSy = "fr-sy",
    FrTd = "fr-td",
    FrTg = "fr-tg",
    FrTn = "fr-tn",
    FrVu = "fr-vu",
    FrWf = "fr-wf",
    FrYt = "fr-yt",
    Fur = "fur",
    FurIt = "fur-it",
    Fy = "fy",
    FyNl = "fy-nl",
    Ga = "ga",
    GaGb = "ga-gb",
    GaIe = "ga-ie",
    Gd = "gd",
    GdGb = "gd-gb",
    Gl = "gl",
    GlEs = "gl-es",
    Gsw = "gsw",
    GswCh = "gsw-ch",
    GswFr = "gsw-fr",
    GswLi = "gsw-li",
    Gu = "gu",
    Guz = "guz",
    GuzKe = "guz-ke",
    GuIn = "gu-in",
    Gv = "gv",
    GvIm = "gv-im",
    Ha = "ha",
    Haw = "haw",
    HawUs = "haw-us",
    HaGh = "ha-gh",
    HaNe = "ha-ne",
    HaNg = "ha-ng",
    He = "he",
    HeIl = "he-il",
    Hi = "hi",
    HiIn = "hi-in",
    Hr = "hr",
    HrBa = "hr-ba",
    HrHr = "hr-hr",
    Hsb = "hsb",
    HsbDe = "hsb-de",
    Hu = "hu",
    HuHu = "hu-hu",
    Hy = "hy",
    HyAm = "hy-am",
    Ia = "ia",
    Ia001 = "ia-001",
    Id = "id",
    Ig = "ig",
    IgNg = "ig-ng",
    Ii = "ii",
    IiCn = "ii-cn",
    IdId = "id-id",
    Is = "is",
    IsIs = "is-is",
    It = "it",
    ItCh = "it-ch",
    ItIt = "it-it",
    ItSm = "it-sm",
    ItVa = "it-va",
    Ja = "ja",
    JaJp = "ja-jp",
    Jgo = "jgo",
    JgoCm = "jgo-cm",
    Yi = "yi",
    Yi001 = "yi-001",
    Jmc = "jmc",
    JmcTz = "jmc-tz",
    Jv = "jv",
    JvId = "jv-id",
    Ka = "ka",
    Kab = "kab",
    KabDz = "kab-dz",
    Kam = "kam",
    KamKe = "kam-ke",
    KaGe = "ka-ge",
    Kde = "kde",
    KdeTz = "kde-tz",
    Kea = "kea",
    KeaCv = "kea-cv",
    Kgp = "kgp",
    KgpBr = "kgp-br",
    Khq = "khq",
    KhqMl = "khq-ml",
    Ki = "ki",
    KiKe = "ki-ke",
    Kk = "kk",
    Kkj = "kkj",
    KkjCm = "kkj-cm",
    KkKz = "kk-kz",
    Kl = "kl",
    Kln = "kln",
    KlnKe = "kln-ke",
    KlGl = "kl-gl",
    Km = "km",
    KmKh = "km-kh",
    Kn = "kn",
    KnIn = "kn-in",
    Ko = "ko",
    Kok = "kok",
    KokIn = "kok-in",
    KoKp = "ko-kp",
    KoKr = "ko-kr",
    Ks = "ks",
    Ksb = "ksb",
    KsbTz = "ksb-tz",
    Ksf = "ksf",
    KsfCm = "ksf-cm",
    Ksh = "ksh",
    KshDe = "ksh-de",
    KsIn = "ks-in",
    Ku = "ku",
    KuTr = "ku-tr",
    Kw = "kw",
    KwGb = "kw-gb",
    Ky = "ky",
    KyKg = "ky-kg",
    Lag = "lag",
    LagTz = "lag-tz",
    Lb = "lb",
    LbLu = "lb-lu",
    Lg = "lg",
    LgUg = "lg-ug",
    Lkt = "lkt",
    LktUs = "lkt-us",
    Ln = "ln",
    LnAo = "ln-ao",
    LnCd = "ln-cd",
    LnCf = "ln-cf",
    LnCg = "ln-cg",
    Lo = "lo",
    LoLa = "lo-la",
    Lrc = "lrc",
    LrcIq = "lrc-iq",
    LrcIr = "lrc-ir",
    Lt = "lt",
    LtLt = "lt-lt",
    Lu = "lu",
    Luo = "luo",
    LuoKe = "luo-ke",
    Luy = "luy",
    LuyKe = "luy-ke",
    LuCd = "lu-cd",
    Lv = "lv",
    LvLv = "lv-lv",
    Mai = "mai",
    MaiIn = "mai-in",
    Mas = "mas",
    MasKe = "mas-ke",
    MasTz = "mas-tz",
    Mdf = "mdf",
    MdfRu = "mdf-ru",
    Mer = "mer",
    MerKe = "mer-ke",
    Mfe = "mfe",
    MfeMu = "mfe-mu",
    Mg = "mg",
    Mgh = "mgh",
    MghMz = "mgh-mz",
    Mgo = "mgo",
    MgoCm = "mgo-cm",
    MgMg = "mg-mg",
    Mi = "mi",
    MiNz = "mi-nz",
    Mk = "mk",
    MkMk = "mk-mk",
    Ml = "ml",
    MlIn = "ml-in",
    Mn = "mn",
    Mni = "mni",
    MniIn = "mni-in",
    MnMn = "mn-mn",
    Mr = "mr",
    MrIn = "mr-in",
    Ms = "ms",
    MsBn = "ms-bn",
    MsId = "ms-id",
    MsMy = "ms-my",
    MsSg = "ms-sg",
    Mt = "mt",
    MtMt = "mt-mt",
    Mua = "mua",
    MuaCm = "mua-cm",
    My = "my",
    MyMm = "my-mm",
    Mzn = "mzn",
    MznIr = "mzn-ir",
    Naq = "naq",
    NaqNa = "naq-na",
    Nb = "nb",
    NbNo = "nb-no",
    NbSj = "nb-sj",
    Nd = "nd",
    Nds = "nds",
    NdsDe = "nds-de",
    NdsNl = "nds-nl",
    NdZw = "nd-zw",
    Ne = "ne",
    NeIn = "ne-in",
    NeNp = "ne-np",
    Nl = "nl",
    NlAw = "nl-aw",
    NlBe = "nl-be",
    NlBq = "nl-bq",
    NlCh = "nl-ch",
    NlCw = "nl-cw",
    NlLu = "nl-lu",
    NlNl = "nl-nl",
    NlSr = "nl-sr",
    NlSx = "nl-sx",
    Nmg = "nmg",
    NmgCm = "nmg-cm",
    Nn = "nn",
    Nnh = "nnh",
    NnhCm = "nnh-cm",
    NnNo = "nn-no",
    No = "no",
    NoNo = "no-no",
    Nus = "nus",
    NusSs = "nus-ss",
    Nyn = "nyn",
    NynUg = "nyn-ug",
    Oc = "oc",
    OcEs = "oc-es",
    OcFr = "oc-fr",
    Om = "om",
    OmEt = "om-et",
    OmKe = "om-ke",
    Or = "or",
    OrIn = "or-in",
    Os = "os",
    OsGe = "os-ge",
    OsRu = "os-ru",
    Pa = "pa",
    PaIn = "pa-in",
    PaPk = "pa-pk",
    Pcm = "pcm",
    PcmNg = "pcm-ng",
    Pis = "pis",
    PisSb = "pis-sb",
    Pl = "pl",
    PlPl = "pl-pl",
    Prg = "prg",
    Prg001 = "prg-001",
    Ps = "ps",
    PsAf = "ps-af",
    PsPk = "ps-pk",
    Pt = "pt",
    PtAo = "pt-ao",
    PtBr = "pt-br",
    PtCh = "pt-ch",
    PtCv = "pt-cv",
    PtGq = "pt-gq",
    PtGw = "pt-gw",
    PtLu = "pt-lu",
    PtMo = "pt-mo",
    PtMz = "pt-mz",
    PtPt = "pt-pt",
    PtSt = "pt-st",
    PtTl = "pt-tl",
    Qu = "qu",
    QuBo = "qu-bo",
    QuEc = "qu-ec",
    QuPe = "qu-pe",
    Raj = "raj",
    RajIn = "raj-in",
    Rm = "rm",
    RmCh = "rm-ch",
    Rn = "rn",
    RnBi = "rn-bi",
    Ro = "ro",
    Rof = "rof",
    RofTz = "rof-tz",
    RoMd = "ro-md",
    RoRo = "ro-ro",
    Ru = "ru",
    RuBy = "ru-by",
    RuKg = "ru-kg",
    RuKz = "ru-kz",
    RuMd = "ru-md",
    RuRu = "ru-ru",
    RuUa = "ru-ua",
    Rw = "rw",
    Rwk = "rwk",
    RwkTz = "rwk-tz",
    RwRw = "rw-rw",
    Sa = "sa",
    Sah = "sah",
    SahRu = "sah-ru",
    Saq = "saq",
    SaqKe = "saq-ke",
    Sat = "sat",
    SatIn = "sat-in",
    SaIn = "sa-in",
    Sbp = "sbp",
    SbpTz = "sbp-tz",
    Sc = "sc",
    ScIt = "sc-it",
    Sd = "sd",
    SdIn = "sd-in",
    SdPk = "sd-pk",
    Se = "se",
    Seh = "seh",
    SehMz = "seh-mz",
    Ses = "ses",
    SesMl = "ses-ml",
    SeFi = "se-fi",
    SeNo = "se-no",
    SeSe = "se-se",
    Sg = "sg",
    SgCf = "sg-cf",
    Shi = "shi",
    ShiMa = "shi-ma",
    Si = "si",
    SiLk = "si-lk",
    Sk = "sk",
    SkSk = "sk-sk",
    Sl = "sl",
    SlSi = "sl-si",
    Smn = "smn",
    SmnFi = "smn-fi",
    Sms = "sms",
    SmsFi = "sms-fi",
    Sn = "sn",
    SnZw = "sn-zw",
    So = "so",
    SoDj = "so-dj",
    SoEt = "so-et",
    SoKe = "so-ke",
    SoSo = "so-so",
    Sq = "sq",
    SqAl = "sq-al",
    SqMk = "sq-mk",
    SqXk = "sq-xk",
    Sr = "sr",
    SrBa = "sr-ba",
    SrCs = "sr-cs",
    SrMe = "sr-me",
    SrRs = "sr-rs",
    SrXk = "sr-xk",
    Su = "su",
    SuId = "su-id",
    Sv = "sv",
    SvAx = "sv-ax",
    SvFi = "sv-fi",
    SvSe = "sv-se",
    Sw = "sw",
    SwCd = "sw-cd",
    SwKe = "sw-ke",
    SwTz = "sw-tz",
    SwUg = "sw-ug",
    Sy = "sy",
    Ta = "ta",
    TaIn = "ta-in",
    TaLk = "ta-lk",
    TaMy = "ta-my",
    TaSg = "ta-sg",
    Te = "te",
    Teo = "teo",
    TeoKe = "teo-ke",
    TeoUg = "teo-ug",
    TeIn = "te-in",
    Tg = "tg",
    TgTj = "tg-tj",
    Th = "th",
    ThTh = "th-th",
    Ti = "ti",
    TiEr = "ti-er",
    TiEt = "ti-et",
    Tk = "tk",
    TkTm = "tk-tm",
    Tl = "tl",
    To = "to",
    Tok = "tok",
    Tok001 = "tok-001",
    ToTo = "to-to",
    Tr = "tr",
    TrCy = "tr-cy",
    TrTr = "tr-tr",
    Tt = "tt",
    TtRu = "tt-ru",
    Twq = "twq",
    TwqNe = "twq-ne",
    Tzm = "tzm",
    TzmMa = "tzm-ma",
    Ug = "ug",
    UgCn = "ug-cn",
    Uk = "uk",
    UkUa = "uk-ua",
    Ur = "ur",
    UrIn = "ur-in",
    UrPk = "ur-pk",
    Uz = "uz",
    UzAf = "uz-af",
    UzUz = "uz-uz",
    Vai = "vai",
    VaiLr = "vai-lr",
    Vi = "vi",
    ViVn = "vi-vn",
    Vo = "vo",
    Vo001 = "vo-001",
    Vun = "vun",
    VunTz = "vun-tz",
    Wae = "wae",
    WaeCh = "wae-ch",
    Wo = "wo",
    WoSn = "wo-sn",
    Xh = "xh",
    XhZa = "xh-za",
    Xog = "xog",
    XogUg = "xog-ug",
    Yav = "yav",
    YavCm = "yav-cm",
    Yo = "yo",
    YoBj = "yo-bj",
    YoNg = "yo-ng",
    Yrl = "yrl",
    YrlBr = "yrl-br",
    YrlCo = "yrl-co",
    YrlVe = "yrl-ve",
    Yue = "yue",
    YueCn = "yue-cn",
    YueHk = "yue-hk",
    Zgh = "zgh",
    ZghMa = "zgh-ma",
    Zh = "zh",
    ZhCn = "zh-cn",
    ZhHans = "zh-hans",
    ZhHant = "zh-hant",
    ZhHk = "zh-hk",
    ZhMo = "zh-mo",
    ZhSg = "zh-sg",
    ZhTw = "zh-tw",
    Zu = "zu",
    ZuZa = "zu-za"
}
export declare enum PublicEmailTypeEnum {
    AbEmail = "AB_EMAIL",
    BatchEmail = "BATCH_EMAIL",
    LocaltimeEmail = "LOCALTIME_EMAIL",
    AutomatedAbEmail = "AUTOMATED_AB_EMAIL",
    BlogEmail = "BLOG_EMAIL",
    BlogEmailChild = "BLOG_EMAIL_CHILD",
    RssEmail = "RSS_EMAIL",
    RssEmailChild = "RSS_EMAIL_CHILD",
    ResubscribeEmail = "RESUBSCRIBE_EMAIL",
    OptinEmail = "OPTIN_EMAIL",
    OptinFollowupEmail = "OPTIN_FOLLOWUP_EMAIL",
    AutomatedEmail = "AUTOMATED_EMAIL",
    FeedbackCesEmail = "FEEDBACK_CES_EMAIL",
    FeedbackCustomEmail = "FEEDBACK_CUSTOM_EMAIL",
    FeedbackCustomSurveyEmail = "FEEDBACK_CUSTOM_SURVEY_EMAIL",
    FeedbackNpsEmail = "FEEDBACK_NPS_EMAIL",
    FollowupEmail = "FOLLOWUP_EMAIL",
    LeadflowEmail = "LEADFLOW_EMAIL",
    SingleSendApi = "SINGLE_SEND_API",
    MarketingSingleSendApi = "MARKETING_SINGLE_SEND_API",
    SmtpToken = "SMTP_TOKEN",
    TicketEmail = "TICKET_EMAIL",
    MembershipRegistrationEmail = "MEMBERSHIP_REGISTRATION_EMAIL",
    MembershipPasswordSavedEmail = "MEMBERSHIP_PASSWORD_SAVED_EMAIL",
    MembershipPasswordResetEmail = "MEMBERSHIP_PASSWORD_RESET_EMAIL",
    MembershipEmailVerificationEmail = "MEMBERSHIP_EMAIL_VERIFICATION_EMAIL",
    MembershipPasswordlessAuthEmail = "MEMBERSHIP_PASSWORDLESS_AUTH_EMAIL",
    MembershipRegistrationFollowUpEmail = "MEMBERSHIP_REGISTRATION_FOLLOW_UP_EMAIL",
    MembershipOtpLoginEmail = "MEMBERSHIP_OTP_LOGIN_EMAIL",
    MembershipFollowUpEmail = "MEMBERSHIP_FOLLOW_UP_EMAIL",
    MembershipVerificationEmail = "MEMBERSHIP_VERIFICATION_EMAIL"
}
export declare enum PublicEmailStateEnum {
    Automated = "AUTOMATED",
    AutomatedDraft = "AUTOMATED_DRAFT",
    AutomatedSending = "AUTOMATED_SENDING",
    AutomatedForForm = "AUTOMATED_FOR_FORM",
    AutomatedForFormBuffer = "AUTOMATED_FOR_FORM_BUFFER",
    AutomatedForFormDraft = "AUTOMATED_FOR_FORM_DRAFT",
    AutomatedForFormLegacy = "AUTOMATED_FOR_FORM_LEGACY",
    BlogEmailDraft = "BLOG_EMAIL_DRAFT",
    BlogEmailPublished = "BLOG_EMAIL_PUBLISHED",
    Draft = "DRAFT",
    DraftAb = "DRAFT_AB",
    DraftAbVariant = "DRAFT_AB_VARIANT",
    Error = "ERROR",
    LoserAbVariant = "LOSER_AB_VARIANT",
    PageStub = "PAGE_STUB",
    PreProcessing = "PRE_PROCESSING",
    Processing = "PROCESSING",
    Published = "PUBLISHED",
    PublishedAb = "PUBLISHED_AB",
    PublishedAbVariant = "PUBLISHED_AB_VARIANT",
    PublishedOrScheduled = "PUBLISHED_OR_SCHEDULED",
    RssToEmailDraft = "RSS_TO_EMAIL_DRAFT",
    RssToEmailPublished = "RSS_TO_EMAIL_PUBLISHED",
    Scheduled = "SCHEDULED",
    ScheduledAb = "SCHEDULED_AB",
    ScheduledOrPublished = "SCHEDULED_OR_PUBLISHED",
    AutomatedAb = "AUTOMATED_AB",
    AutomatedAbVariant = "AUTOMATED_AB_VARIANT",
    AutomatedDraftAb = "AUTOMATED_DRAFT_AB",
    AutomatedDraftAbvariant = "AUTOMATED_DRAFT_ABVARIANT",
    AutomatedLoserAbvariant = "AUTOMATED_LOSER_ABVARIANT"
}
