import { BaseAPIRequestFactory } from './baseapi';
import { Configuration } from '../configuration';
import { RequestContext, ResponseContext, HttpInfo } from '../http/http';
import { MarketingEventCompleteRequestParams } from '../models/MarketingEventCompleteRequestParams';
import { MarketingEventDefaultResponse } from '../models/MarketingEventDefaultResponse';
export declare class ChangePropertyApiRequestFactory extends BaseAPIRequestFactory {
    cancel(externalEventId: string, externalAccountId: string, _options?: Configuration): Promise<RequestContext>;
    complete(externalEventId: string, externalAccountId: string, marketingEventCompleteRequestParams: MarketingEventCompleteRequestParams, _options?: Configuration): Promise<RequestContext>;
}
export declare class ChangePropertyApiResponseProcessor {
    cancelWithHttpInfo(response: ResponseContext): Promise<HttpInfo<MarketingEventDefaultResponse>>;
    completeWithHttpInfo(response: ResponseContext): Promise<HttpInfo<MarketingEventDefaultResponse>>;
}
