import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { CollectionResponseFormDefinitionBaseForwardPaging } from '../models/CollectionResponseFormDefinitionBaseForwardPaging';
import { FormDefinitionBase } from '../models/FormDefinitionBase';
import { FormDefinitionCreateRequestBase } from '../models/FormDefinitionCreateRequestBase';
import { HubSpotFormDefinition } from '../models/HubSpotFormDefinition';
import { HubSpotFormDefinitionPatchRequest } from '../models/HubSpotFormDefinitionPatchRequest';
import { FormsApiRequestFactory, FormsApiResponseProcessor } from "../apis/FormsApi";
export interface FormsApiArchiveRequest {
    formId: string;
}
export interface FormsApiCreateRequest {
    formDefinitionCreateRequestBase: FormDefinitionCreateRequestBase;
}
export interface FormsApiGetByIdRequest {
    formId: string;
    archived?: boolean;
}
export interface FormsApiGetPageRequest {
    after?: string;
    limit?: number;
    archived?: boolean;
    formTypes?: Array<'hubspot' | 'captured' | 'flow' | 'blog_comment' | 'all'>;
}
export interface FormsApiReplaceRequest {
    formId: string;
    hubSpotFormDefinition: HubSpotFormDefinition;
}
export interface FormsApiUpdateRequest {
    formId: string;
    hubSpotFormDefinitionPatchRequest: HubSpotFormDefinitionPatchRequest;
}
export declare class ObjectFormsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: FormsApiRequestFactory, responseProcessor?: FormsApiResponseProcessor);
    archiveWithHttpInfo(param: FormsApiArchiveRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archive(param: FormsApiArchiveRequest, options?: ConfigurationOptions): Promise<void>;
    createWithHttpInfo(param: FormsApiCreateRequest, options?: ConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    create(param: FormsApiCreateRequest, options?: ConfigurationOptions): Promise<FormDefinitionBase>;
    getByIdWithHttpInfo(param: FormsApiGetByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    getById(param: FormsApiGetByIdRequest, options?: ConfigurationOptions): Promise<FormDefinitionBase>;
    getPageWithHttpInfo(param?: FormsApiGetPageRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponseFormDefinitionBaseForwardPaging>>;
    getPage(param?: FormsApiGetPageRequest, options?: ConfigurationOptions): Promise<CollectionResponseFormDefinitionBaseForwardPaging>;
    replaceWithHttpInfo(param: FormsApiReplaceRequest, options?: ConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    replace(param: FormsApiReplaceRequest, options?: ConfigurationOptions): Promise<FormDefinitionBase>;
    updateWithHttpInfo(param: FormsApiUpdateRequest, options?: ConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    update(param: FormsApiUpdateRequest, options?: ConfigurationOptions): Promise<FormDefinitionBase>;
}
