import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { CollectionResponseFormDefinitionBaseForwardPaging } from '../models/CollectionResponseFormDefinitionBaseForwardPaging';
import { FormDefinitionBase } from '../models/FormDefinitionBase';
import { FormDefinitionCreateRequestBase } from '../models/FormDefinitionCreateRequestBase';
import { HubSpotFormDefinition } from '../models/HubSpotFormDefinition';
import { HubSpotFormDefinitionPatchRequest } from '../models/HubSpotFormDefinitionPatchRequest';
import { FormsApiRequestFactory, FormsApiResponseProcessor } from "../apis/FormsApi";
export declare class PromiseFormsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: FormsApiRequestFactory, responseProcessor?: FormsApiResponseProcessor);
    archiveWithHttpInfo(formId: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archive(formId: string, _options?: PromiseConfigurationOptions): Promise<void>;
    createWithHttpInfo(formDefinitionCreateRequestBase: FormDefinitionCreateRequestBase, _options?: PromiseConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    create(formDefinitionCreateRequestBase: FormDefinitionCreateRequestBase, _options?: PromiseConfigurationOptions): Promise<FormDefinitionBase>;
    getByIdWithHttpInfo(formId: string, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    getById(formId: string, archived?: boolean, _options?: PromiseConfigurationOptions): Promise<FormDefinitionBase>;
    getPageWithHttpInfo(after?: string, limit?: number, archived?: boolean, formTypes?: Array<'hubspot' | 'captured' | 'flow' | 'blog_comment' | 'all'>, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponseFormDefinitionBaseForwardPaging>>;
    getPage(after?: string, limit?: number, archived?: boolean, formTypes?: Array<'hubspot' | 'captured' | 'flow' | 'blog_comment' | 'all'>, _options?: PromiseConfigurationOptions): Promise<CollectionResponseFormDefinitionBaseForwardPaging>;
    replaceWithHttpInfo(formId: string, hubSpotFormDefinition: HubSpotFormDefinition, _options?: PromiseConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    replace(formId: string, hubSpotFormDefinition: HubSpotFormDefinition, _options?: PromiseConfigurationOptions): Promise<FormDefinitionBase>;
    updateWithHttpInfo(formId: string, hubSpotFormDefinitionPatchRequest: HubSpotFormDefinitionPatchRequest, _options?: PromiseConfigurationOptions): Promise<HttpInfo<FormDefinitionBase>>;
    update(formId: string, hubSpotFormDefinitionPatchRequest: HubSpotFormDefinitionPatchRequest, _options?: PromiseConfigurationOptions): Promise<FormDefinitionBase>;
}
