import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { CollectionResponseSmtpApiTokenViewForwardPaging } from '../models/CollectionResponseSmtpApiTokenViewForwardPaging';
import { EmailSendStatusView } from '../models/EmailSendStatusView';
import { PublicSingleSendRequestEgg } from '../models/PublicSingleSendRequestEgg';
import { SmtpApiTokenRequestEgg } from '../models/SmtpApiTokenRequestEgg';
import { SmtpApiTokenView } from '../models/SmtpApiTokenView';
import { PublicSMTPTokensApiRequestFactory, PublicSMTPTokensApiResponseProcessor } from "../apis/PublicSMTPTokensApi";
export interface PublicSMTPTokensApiArchiveTokenRequest {
    tokenId: string;
}
export interface PublicSMTPTokensApiCreateTokenRequest {
    smtpApiTokenRequestEgg: SmtpApiTokenRequestEgg;
}
export interface PublicSMTPTokensApiGetTokenByIdRequest {
    tokenId: string;
}
export interface PublicSMTPTokensApiGetTokensPageRequest {
    campaignName?: string;
    emailCampaignId?: string;
    after?: string;
    limit?: number;
}
export interface PublicSMTPTokensApiResetPasswordRequest {
    tokenId: string;
}
export declare class ObjectPublicSMTPTokensApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: PublicSMTPTokensApiRequestFactory, responseProcessor?: PublicSMTPTokensApiResponseProcessor);
    archiveTokenWithHttpInfo(param: PublicSMTPTokensApiArchiveTokenRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archiveToken(param: PublicSMTPTokensApiArchiveTokenRequest, options?: ConfigurationOptions): Promise<void>;
    createTokenWithHttpInfo(param: PublicSMTPTokensApiCreateTokenRequest, options?: ConfigurationOptions): Promise<HttpInfo<SmtpApiTokenView>>;
    createToken(param: PublicSMTPTokensApiCreateTokenRequest, options?: ConfigurationOptions): Promise<SmtpApiTokenView>;
    getTokenByIdWithHttpInfo(param: PublicSMTPTokensApiGetTokenByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<SmtpApiTokenView>>;
    getTokenById(param: PublicSMTPTokensApiGetTokenByIdRequest, options?: ConfigurationOptions): Promise<SmtpApiTokenView>;
    getTokensPageWithHttpInfo(param?: PublicSMTPTokensApiGetTokensPageRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponseSmtpApiTokenViewForwardPaging>>;
    getTokensPage(param?: PublicSMTPTokensApiGetTokensPageRequest, options?: ConfigurationOptions): Promise<CollectionResponseSmtpApiTokenViewForwardPaging>;
    resetPasswordWithHttpInfo(param: PublicSMTPTokensApiResetPasswordRequest, options?: ConfigurationOptions): Promise<HttpInfo<SmtpApiTokenView>>;
    resetPassword(param: PublicSMTPTokensApiResetPasswordRequest, options?: ConfigurationOptions): Promise<SmtpApiTokenView>;
}
import { SingleSendApiRequestFactory, SingleSendApiResponseProcessor } from "../apis/SingleSendApi";
export interface SingleSendApiSendEmailRequest {
    publicSingleSendRequestEgg: PublicSingleSendRequestEgg;
}
export declare class ObjectSingleSendApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SingleSendApiRequestFactory, responseProcessor?: SingleSendApiResponseProcessor);
    sendEmailWithHttpInfo(param: SingleSendApiSendEmailRequest, options?: ConfigurationOptions): Promise<HttpInfo<EmailSendStatusView>>;
    sendEmail(param: SingleSendApiSendEmailRequest, options?: ConfigurationOptions): Promise<EmailSendStatusView>;
}
