import { HttpInfo } from '../http/http';
import { Configuration, PromiseConfigurationOptions } from '../configuration';
import { CollectionResponseSmtpApiTokenViewForwardPaging } from '../models/CollectionResponseSmtpApiTokenViewForwardPaging';
import { EmailSendStatusView } from '../models/EmailSendStatusView';
import { PublicSingleSendRequestEgg } from '../models/PublicSingleSendRequestEgg';
import { SmtpApiTokenRequestEgg } from '../models/SmtpApiTokenRequestEgg';
import { SmtpApiTokenView } from '../models/SmtpApiTokenView';
import { PublicSMTPTokensApiRequestFactory, PublicSMTPTokensApiResponseProcessor } from "../apis/PublicSMTPTokensApi";
export declare class PromisePublicSMTPTokensApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: PublicSMTPTokensApiRequestFactory, responseProcessor?: PublicSMTPTokensApiResponseProcessor);
    archiveTokenWithHttpInfo(tokenId: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<void>>;
    archiveToken(tokenId: string, _options?: PromiseConfigurationOptions): Promise<void>;
    createTokenWithHttpInfo(smtpApiTokenRequestEgg: SmtpApiTokenRequestEgg, _options?: PromiseConfigurationOptions): Promise<HttpInfo<SmtpApiTokenView>>;
    createToken(smtpApiTokenRequestEgg: SmtpApiTokenRequestEgg, _options?: PromiseConfigurationOptions): Promise<SmtpApiTokenView>;
    getTokenByIdWithHttpInfo(tokenId: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<SmtpApiTokenView>>;
    getTokenById(tokenId: string, _options?: PromiseConfigurationOptions): Promise<SmtpApiTokenView>;
    getTokensPageWithHttpInfo(campaignName?: string, emailCampaignId?: string, after?: string, limit?: number, _options?: PromiseConfigurationOptions): Promise<HttpInfo<CollectionResponseSmtpApiTokenViewForwardPaging>>;
    getTokensPage(campaignName?: string, emailCampaignId?: string, after?: string, limit?: number, _options?: PromiseConfigurationOptions): Promise<CollectionResponseSmtpApiTokenViewForwardPaging>;
    resetPasswordWithHttpInfo(tokenId: string, _options?: PromiseConfigurationOptions): Promise<HttpInfo<SmtpApiTokenView>>;
    resetPassword(tokenId: string, _options?: PromiseConfigurationOptions): Promise<SmtpApiTokenView>;
}
import { SingleSendApiRequestFactory, SingleSendApiResponseProcessor } from "../apis/SingleSendApi";
export declare class PromiseSingleSendApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SingleSendApiRequestFactory, responseProcessor?: SingleSendApiResponseProcessor);
    sendEmailWithHttpInfo(publicSingleSendRequestEgg: PublicSingleSendRequestEgg, _options?: PromiseConfigurationOptions): Promise<HttpInfo<EmailSendStatusView>>;
    sendEmail(publicSingleSendRequestEgg: PublicSingleSendRequestEgg, _options?: PromiseConfigurationOptions): Promise<EmailSendStatusView>;
}
