"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseBusinessUnitApi = void 0;
const middleware_1 = require("../middleware");
const ObservableAPI_1 = require("./ObservableAPI");
class PromiseBusinessUnitApi {
    constructor(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_1.ObservableBusinessUnitApi(configuration, requestFactory, responseProcessor);
    }
    getByUserIDWithHttpInfo(userId, properties, name, _options) {
        var _a;
        let observableOptions;
        if (_options) {
            observableOptions = {
                baseServer: _options.baseServer,
                httpApi: _options.httpApi,
                middleware: (_a = _options.middleware) === null || _a === void 0 ? void 0 : _a.map(m => new middleware_1.PromiseMiddlewareWrapper(m)),
                middlewareMergeStrategy: _options.middlewareMergeStrategy,
                authMethods: _options.authMethods
            };
        }
        const result = this.api.getByUserIDWithHttpInfo(userId, properties, name, observableOptions);
        return result.toPromise();
    }
    getByUserID(userId, properties, name, _options) {
        var _a;
        let observableOptions;
        if (_options) {
            observableOptions = {
                baseServer: _options.baseServer,
                httpApi: _options.httpApi,
                middleware: (_a = _options.middleware) === null || _a === void 0 ? void 0 : _a.map(m => new middleware_1.PromiseMiddlewareWrapper(m)),
                middlewareMergeStrategy: _options.middlewareMergeStrategy,
                authMethods: _options.authMethods
            };
        }
        const result = this.api.getByUserID(userId, properties, name, observableOptions);
        return result.toPromise();
    }
}
exports.PromiseBusinessUnitApi = PromiseBusinessUnitApi;
//# sourceMappingURL=PromiseAPI.js.map