import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { CollectionResponsePublicPermissionSetNoPaging } from '../models/CollectionResponsePublicPermissionSetNoPaging';
import { CollectionResponsePublicTeamNoPaging } from '../models/CollectionResponsePublicTeamNoPaging';
import { CollectionResponsePublicUserForwardPaging } from '../models/CollectionResponsePublicUserForwardPaging';
import { PublicUser } from '../models/PublicUser';
import { PublicUserUpdate } from '../models/PublicUserUpdate';
import { UserProvisionRequest } from '../models/UserProvisionRequest';
import { RolesApiRequestFactory, RolesApiResponseProcessor } from "../apis/RolesApi";
export interface RolesApiGetAllRequest {
}
export declare class ObjectRolesApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: RolesApiRequestFactory, responseProcessor?: RolesApiResponseProcessor);
    getAllWithHttpInfo(param?: RolesApiGetAllRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicPermissionSetNoPaging>>;
    getAll(param?: RolesApiGetAllRequest, options?: ConfigurationOptions): Promise<CollectionResponsePublicPermissionSetNoPaging>;
}
import { TeamsApiRequestFactory, TeamsApiResponseProcessor } from "../apis/TeamsApi";
export interface TeamsApiGetAllRequest {
}
export declare class ObjectTeamsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: TeamsApiRequestFactory, responseProcessor?: TeamsApiResponseProcessor);
    getAllWithHttpInfo(param?: TeamsApiGetAllRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicTeamNoPaging>>;
    getAll(param?: TeamsApiGetAllRequest, options?: ConfigurationOptions): Promise<CollectionResponsePublicTeamNoPaging>;
}
import { UsersApiRequestFactory, UsersApiResponseProcessor } from "../apis/UsersApi";
export interface UsersApiArchiveRequest {
    userId: string;
    idProperty?: 'USER_ID' | 'EMAIL';
}
export interface UsersApiCreateRequest {
    userProvisionRequest: UserProvisionRequest;
}
export interface UsersApiGetByIdRequest {
    userId: string;
    idProperty?: 'USER_ID' | 'EMAIL';
}
export interface UsersApiGetPageRequest {
    limit?: number;
    after?: string;
}
export interface UsersApiReplaceRequest {
    userId: string;
    publicUserUpdate: PublicUserUpdate;
    idProperty?: 'USER_ID' | 'EMAIL';
}
export declare class ObjectUsersApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: UsersApiRequestFactory, responseProcessor?: UsersApiResponseProcessor);
    archiveWithHttpInfo(param: UsersApiArchiveRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archive(param: UsersApiArchiveRequest, options?: ConfigurationOptions): Promise<void>;
    createWithHttpInfo(param: UsersApiCreateRequest, options?: ConfigurationOptions): Promise<HttpInfo<PublicUser>>;
    create(param: UsersApiCreateRequest, options?: ConfigurationOptions): Promise<PublicUser>;
    getByIdWithHttpInfo(param: UsersApiGetByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<PublicUser>>;
    getById(param: UsersApiGetByIdRequest, options?: ConfigurationOptions): Promise<PublicUser>;
    getPageWithHttpInfo(param?: UsersApiGetPageRequest, options?: ConfigurationOptions): Promise<HttpInfo<CollectionResponsePublicUserForwardPaging>>;
    getPage(param?: UsersApiGetPageRequest, options?: ConfigurationOptions): Promise<CollectionResponsePublicUserForwardPaging>;
    replaceWithHttpInfo(param: UsersApiReplaceRequest, options?: ConfigurationOptions): Promise<HttpInfo<PublicUser>>;
    replace(param: UsersApiReplaceRequest, options?: ConfigurationOptions): Promise<PublicUser>;
}
