import { HttpInfo } from '../http/http';
import { Configuration, ConfigurationOptions } from '../configuration';
import { BatchInputSubscriptionBatchUpdateRequest } from '../models/BatchInputSubscriptionBatchUpdateRequest';
import { BatchResponseSubscriptionResponse } from '../models/BatchResponseSubscriptionResponse';
import { BatchResponseSubscriptionResponseWithErrors } from '../models/BatchResponseSubscriptionResponseWithErrors';
import { SettingsChangeRequest } from '../models/SettingsChangeRequest';
import { SettingsResponse } from '../models/SettingsResponse';
import { SubscriptionCreateRequest } from '../models/SubscriptionCreateRequest';
import { SubscriptionListResponse } from '../models/SubscriptionListResponse';
import { SubscriptionPatchRequest } from '../models/SubscriptionPatchRequest';
import { SubscriptionResponse } from '../models/SubscriptionResponse';
import { SettingsApiRequestFactory, SettingsApiResponseProcessor } from "../apis/SettingsApi";
export interface SettingsApiClearRequest {
    appId: number;
}
export interface SettingsApiConfigureRequest {
    appId: number;
    settingsChangeRequest: SettingsChangeRequest;
}
export interface SettingsApiGetAllRequest {
    appId: number;
}
export declare class ObjectSettingsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SettingsApiRequestFactory, responseProcessor?: SettingsApiResponseProcessor);
    clearWithHttpInfo(param: SettingsApiClearRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    clear(param: SettingsApiClearRequest, options?: ConfigurationOptions): Promise<void>;
    configureWithHttpInfo(param: SettingsApiConfigureRequest, options?: ConfigurationOptions): Promise<HttpInfo<SettingsResponse>>;
    configure(param: SettingsApiConfigureRequest, options?: ConfigurationOptions): Promise<SettingsResponse>;
    getAllWithHttpInfo(param: SettingsApiGetAllRequest, options?: ConfigurationOptions): Promise<HttpInfo<SettingsResponse>>;
    getAll(param: SettingsApiGetAllRequest, options?: ConfigurationOptions): Promise<SettingsResponse>;
}
import { SubscriptionsApiRequestFactory, SubscriptionsApiResponseProcessor } from "../apis/SubscriptionsApi";
export interface SubscriptionsApiArchiveRequest {
    subscriptionId: number;
    appId: number;
}
export interface SubscriptionsApiCreateRequest {
    appId: number;
    subscriptionCreateRequest: SubscriptionCreateRequest;
}
export interface SubscriptionsApiGetAllRequest {
    appId: number;
}
export interface SubscriptionsApiGetByIdRequest {
    subscriptionId: number;
    appId: number;
}
export interface SubscriptionsApiUpdateRequest {
    subscriptionId: number;
    appId: number;
    subscriptionPatchRequest: SubscriptionPatchRequest;
}
export interface SubscriptionsApiUpdateBatchRequest {
    appId: number;
    batchInputSubscriptionBatchUpdateRequest: BatchInputSubscriptionBatchUpdateRequest;
}
export declare class ObjectSubscriptionsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SubscriptionsApiRequestFactory, responseProcessor?: SubscriptionsApiResponseProcessor);
    archiveWithHttpInfo(param: SubscriptionsApiArchiveRequest, options?: ConfigurationOptions): Promise<HttpInfo<void>>;
    archive(param: SubscriptionsApiArchiveRequest, options?: ConfigurationOptions): Promise<void>;
    createWithHttpInfo(param: SubscriptionsApiCreateRequest, options?: ConfigurationOptions): Promise<HttpInfo<SubscriptionResponse>>;
    create(param: SubscriptionsApiCreateRequest, options?: ConfigurationOptions): Promise<SubscriptionResponse>;
    getAllWithHttpInfo(param: SubscriptionsApiGetAllRequest, options?: ConfigurationOptions): Promise<HttpInfo<SubscriptionListResponse>>;
    getAll(param: SubscriptionsApiGetAllRequest, options?: ConfigurationOptions): Promise<SubscriptionListResponse>;
    getByIdWithHttpInfo(param: SubscriptionsApiGetByIdRequest, options?: ConfigurationOptions): Promise<HttpInfo<SubscriptionResponse>>;
    getById(param: SubscriptionsApiGetByIdRequest, options?: ConfigurationOptions): Promise<SubscriptionResponse>;
    updateWithHttpInfo(param: SubscriptionsApiUpdateRequest, options?: ConfigurationOptions): Promise<HttpInfo<SubscriptionResponse>>;
    update(param: SubscriptionsApiUpdateRequest, options?: ConfigurationOptions): Promise<SubscriptionResponse>;
    updateBatchWithHttpInfo(param: SubscriptionsApiUpdateBatchRequest, options?: ConfigurationOptions): Promise<HttpInfo<BatchResponseSubscriptionResponse | BatchResponseSubscriptionResponseWithErrors>>;
    updateBatch(param: SubscriptionsApiUpdateBatchRequest, options?: ConfigurationOptions): Promise<BatchResponseSubscriptionResponse | BatchResponseSubscriptionResponseWithErrors>;
}
