"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../../../../codegen/crm/associations/v4/index");
const ApiClientConfigurator_1 = require("../../../../configuration/ApiClientConfigurator");
const ApiDecoratorService_1 = __importDefault(require("../../../../services/ApiDecoratorService"));
const BaseDiscovery_1 = __importDefault(require("../../../BaseDiscovery"));
const rxjsStub_1 = require("../../../../../codegen/crm/associations/v4/rxjsStub");
class AssociationsDiscovery extends BaseDiscovery_1.default {
    constructor(config) {
        super(config);
        const configuration = (0, index_1.createConfiguration)(ApiClientConfigurator_1.ApiClientConfigurator.getParams(config, index_1.ServerConfiguration, rxjsStub_1.Observable, rxjsStub_1.Observable));
        this.basicApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.BasicApi(configuration));
        this.batchApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.BatchApi(configuration));
        this.reportApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.ReportApi(configuration));
    }
    get schema() {
        if (!this._schema) {
            const requiredClass = require('./schema/SchemaDiscovery');
            this._schema = new requiredClass.default(this.config);
        }
        return this._schema;
    }
}
exports.default = AssociationsDiscovery;
//# sourceMappingURL=AssociationsDiscovery.js.map