import { BasicApi, BatchApi, SearchApi } from '../../../../codegen/crm/objects/index';
import BaseDiscovery from '../../BaseDiscovery';
import IConfiguration from '../../../configuration/IConfiguration';
import type CallsDiscovery from './calls/CallsDiscovery';
import type CommunicationsDiscovery from './communications/CommunicationsDiscovery';
import type DealSplitsDiscovery from './deal_splits/DealSplitsDiscovery';
import type EmailsDiscovery from './emails/EmailsDiscovery';
import type FeedbackSubmissionsDiscovery from './feedback_submissions/FeedbackSubmissionsDiscovery';
import type GoalsDiscovery from './goals/GoalsDiscovery';
import type LeadsDiscovery from './leads/LeadsDiscovery';
import type MeetingsDiscovery from './meetings/MeetingsDiscovery';
import type NotesDiscovery from './notes/NotesDiscovery';
import type PostalMailDiscovery from './postal_mail/PostalMailDiscovery';
import type TasksDiscovery from './tasks/TasksDiscovery';
import type TaxesDiscovery from './taxes/TaxesDiscovery';
export default class ObjectsDiscovery extends BaseDiscovery {
    basicApi: BasicApi;
    batchApi: BatchApi;
    searchApi: SearchApi;
    protected _communications: CommunicationsDiscovery | undefined;
    protected _calls: CallsDiscovery | undefined;
    protected _dealSplits: DealSplitsDiscovery | undefined;
    protected _emails: EmailsDiscovery | undefined;
    protected _feedbackSubmissions: FeedbackSubmissionsDiscovery | undefined;
    protected _goals: GoalsDiscovery | undefined;
    protected _leads: LeadsDiscovery | undefined;
    protected _meetings: MeetingsDiscovery | undefined;
    protected _notes: NotesDiscovery | undefined;
    protected _postalMail: PostalMailDiscovery | undefined;
    protected _tasks: TasksDiscovery | undefined;
    protected _taxes: TaxesDiscovery | undefined;
    constructor(config: IConfiguration);
    get communications(): CommunicationsDiscovery;
    get calls(): CallsDiscovery;
    get dealSplits(): DealSplitsDiscovery;
    get emails(): EmailsDiscovery;
    get feedbackSubmissions(): FeedbackSubmissionsDiscovery;
    get goals(): GoalsDiscovery;
    get leads(): LeadsDiscovery;
    get meetings(): MeetingsDiscovery;
    get notes(): NotesDiscovery;
    get postalMail(): PostalMailDiscovery;
    get tasks(): TasksDiscovery;
    get taxes(): TaxesDiscovery;
}
