"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../../../codegen/crm/objects/index");
const ApiClientConfigurator_1 = require("../../../configuration/ApiClientConfigurator");
const ApiDecoratorService_1 = __importDefault(require("../../../services/ApiDecoratorService"));
const BaseDiscovery_1 = __importDefault(require("../../BaseDiscovery"));
const rxjsStub_1 = require("../../../../codegen/crm/objects/rxjsStub");
class ObjectsDiscovery extends BaseDiscovery_1.default {
    constructor(config) {
        super(config);
        const configuration = (0, index_1.createConfiguration)(ApiClientConfigurator_1.ApiClientConfigurator.getParams(config, index_1.ServerConfiguration, rxjsStub_1.Observable, rxjsStub_1.Observable));
        this.basicApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.BasicApi(configuration));
        this.batchApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.BatchApi(configuration));
        this.searchApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.SearchApi(configuration));
    }
    get communications() {
        if (!this._communications) {
            const requiredClass = require('./communications/CommunicationsDiscovery');
            this._communications = new requiredClass.default(this.config);
        }
        return this._communications;
    }
    get calls() {
        if (!this._calls) {
            const requiredClass = require('./calls/CallsDiscovery');
            this._calls = new requiredClass.default(this.config);
        }
        return this._calls;
    }
    get dealSplits() {
        if (!this._dealSplits) {
            const requiredClass = require('./deal_splits/DealSplitsDiscovery');
            this._dealSplits = new requiredClass.default(this.config);
        }
        return this._dealSplits;
    }
    get emails() {
        if (!this._emails) {
            const requiredClass = require('./emails/EmailsDiscovery');
            this._emails = new requiredClass.default(this.config);
        }
        return this._emails;
    }
    get feedbackSubmissions() {
        if (!this._feedbackSubmissions) {
            const requiredClass = require('./feedback_submissions/FeedbackSubmissionsDiscovery');
            this._feedbackSubmissions = new requiredClass.default(this.config);
        }
        return this._feedbackSubmissions;
    }
    get goals() {
        if (!this._goals) {
            const requiredClass = require('./goals/GoalsDiscovery');
            this._goals = new requiredClass.default(this.config);
        }
        return this._goals;
    }
    get leads() {
        if (!this._leads) {
            const requiredClass = require('./leads/LeadsDiscovery');
            this._leads = new requiredClass.default(this.config);
        }
        return this._leads;
    }
    get meetings() {
        if (!this._meetings) {
            const requiredClass = require('./meetings/MeetingsDiscovery');
            this._meetings = new requiredClass.default(this.config);
        }
        return this._meetings;
    }
    get notes() {
        if (!this._notes) {
            const requiredClass = require('./notes/NotesDiscovery');
            this._notes = new requiredClass.default(this.config);
        }
        return this._notes;
    }
    get postalMail() {
        if (!this._postalMail) {
            const requiredClass = require('./postal_mail/PostalMailDiscovery');
            this._postalMail = new requiredClass.default(this.config);
        }
        return this._postalMail;
    }
    get tasks() {
        if (!this._tasks) {
            const requiredClass = require('./tasks/TasksDiscovery');
            this._tasks = new requiredClass.default(this.config);
        }
        return this._tasks;
    }
    get taxes() {
        if (!this._taxes) {
            const requiredClass = require('./taxes/TaxesDiscovery');
            this._taxes = new requiredClass.default(this.config);
        }
        return this._taxes;
    }
}
exports.default = ObjectsDiscovery;
//# sourceMappingURL=ObjectsDiscovery.js.map