"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../../../codegen/marketing/events/index");
const ApiClientConfigurator_1 = require("../../../configuration/ApiClientConfigurator");
const ApiDecoratorService_1 = __importDefault(require("../../../services/ApiDecoratorService"));
const rxjsStub_1 = require("../../../../codegen/marketing/events/rxjsStub");
class EventsDiscovery {
    constructor(config) {
        const configuration = (0, index_1.createConfiguration)(ApiClientConfigurator_1.ApiClientConfigurator.getParams(config, index_1.ServerConfiguration, rxjsStub_1.Observable, rxjsStub_1.Observable));
        this.addEventAttendeesApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.AddEventAttendeesApi(configuration));
        this.basicApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.BasicApi(configuration));
        this.batchApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.BatchApi(configuration));
        this.changePropertyApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.ChangePropertyApi(configuration));
        this.identifiersApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.IdentifiersApi(configuration));
        this.listAssociationsApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.ListAssociationsApi(configuration));
        this.retrieveParticipantStateApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.RetrieveParticipantStateApi(configuration));
        this.settingsApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.SettingsApi(configuration));
        this.subscriberStateChangesApi = ApiDecoratorService_1.default.getInstance().apply(new index_1.SubscriberStateChangesApi(configuration));
    }
}
exports.default = EventsDiscovery;
//# sourceMappingURL=EventsDiscovery.js.map