"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../../../codegen/crm/objects/index");
const CallsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/calls/CallsDiscovery"));
const index_2 = require("../../../../index");
const CommunicationsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/communications/CommunicationsDiscovery"));
const DealSplitsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/deal_splits/DealSplitsDiscovery"));
const EmailsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/emails/EmailsDiscovery"));
const FeedbackSubmissionsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/feedback_submissions/FeedbackSubmissionsDiscovery"));
const GoalsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/goals/GoalsDiscovery"));
const LeadsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/leads/LeadsDiscovery"));
const MeetingsDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/meetings/MeetingsDiscovery"));
const NotesDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/notes/NotesDiscovery"));
const PostalMailDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/postal_mail/PostalMailDiscovery"));
const TasksDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/tasks/TasksDiscovery"));
const TaxesDiscovery_1 = __importDefault(require("../../../../src/discovery/crm/objects/taxes/TaxesDiscovery"));
describe('api client', () => {
    it('is discoverable', () => {
        const client = new index_2.Client().crm.objects;
        expect(CommunicationsDiscovery_1.default.name).toBe(client.communications.constructor.name);
        expect(CallsDiscovery_1.default.name).toBe(client.calls.constructor.name);
        expect(DealSplitsDiscovery_1.default.name).toBe(client.dealSplits.constructor.name);
        expect(EmailsDiscovery_1.default.name).toBe(client.emails.constructor.name);
        expect(FeedbackSubmissionsDiscovery_1.default.name).toBe(client.feedbackSubmissions.constructor.name);
        expect(GoalsDiscovery_1.default.name).toBe(client.goals.constructor.name);
        expect(LeadsDiscovery_1.default.name).toBe(client.leads.constructor.name);
        expect(MeetingsDiscovery_1.default.name).toBe(client.meetings.constructor.name);
        expect(NotesDiscovery_1.default.name).toBe(client.notes.constructor.name);
        expect(PostalMailDiscovery_1.default.name).toBe(client.postalMail.constructor.name);
        expect(TasksDiscovery_1.default.name).toBe(client.tasks.constructor.name);
        expect(TaxesDiscovery_1.default.name).toBe(client.taxes.constructor.name);
        expect(Object.prototype.hasOwnProperty.call(client, 'basicApi')).toBeTruthy();
        expect(index_1.BasicApi.name).toBe(client.basicApi.constructor.name);
        expect(Object.prototype.hasOwnProperty.call(client, 'batchApi')).toBeTruthy();
        expect(index_1.BatchApi.name).toBe(client.batchApi.constructor.name);
        expect(Object.prototype.hasOwnProperty.call(client, 'searchApi')).toBeTruthy();
        expect(index_1.SearchApi.name).toBe(client.searchApi.constructor.name);
    });
});
//# sourceMappingURL=objects.spec.js.map